﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Microsoft.ServiceModel.WebSockets;

namespace WebSocketServiceSample
{


    public class EchoService: WebSocketService
    {
        private static WebSocketCollection<EchoService> all = new WebSocketCollection<EchoService>();
        public override void OnOpen()
        {
            lock (all)
            {
                all.Add(this);
            }
        }

        public override void OnMessage(string message)
        {
            lock (all) { 
                all.Broadcast(message);
            }
        }

        protected override void OnClose()
        {
        }
    }
}