﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Fluege_ModelBinding.aspx.cs" Inherits="ModelBinding2" MasterPageFile="~/WWWings.Einfach.master" UICulture="de-DE" %>

<asp:Content ContentPlaceHolderID="P_MainContent" runat="server">

  <%--Auswahl--%>
Ort:
     <asp:DropDownList ID="Ort" runat="server" SelectMethod="GetOrte"
      AutoPostBack="True" AppendDataBoundItems="true">
      <asp:ListItem>Bitte wählen</asp:ListItem>
     </asp:DropDownList><br />

 <%--Tabelle--%>

 <asp:ValidationSummary runat="server" ShowModelStateErrors="true" HeaderText="Bitte korrigieren Sie folgende Eingabefehler:" />
 <asp:GridView ID="FlugTabelle" runat="server" DataKeyNames="FlugNr"
  SelectMethod="GetFluege" UpdateMethod="UpdateFlug" DeleteMethod="DeleteFlug"
  CellPadding="4" ForeColor="#333333"
  GridLines="None" AllowPaging="True" AllowSorting="True" PageSize="5" AutoGenerateColumns="false"
  ItemType="de.WWWings.GO.Flug">
  <AlternatingRowStyle BackColor="White" />
  <Columns>
   <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" ShowSelectButton="true" />
   <asp:BoundField DataField="FlugNr" HeaderText="FlugNr">
    <ItemStyle HorizontalAlign="Left" />
   </asp:BoundField>
   <asp:BoundField DataField="Datum" HeaderText="Datum">
    <ItemStyle HorizontalAlign="Left" />
   </asp:BoundField>
   <asp:BoundField DataField="Abflugort" HeaderText="Abflugort" SortExpression="Abflugort">
    <ItemStyle HorizontalAlign="Left" />
   </asp:BoundField>
   <asp:BoundField DataField="ZielOrt" HeaderText="Zielort" SortExpression="Zielort">
    <ItemStyle HorizontalAlign="Left" />
   </asp:BoundField>
   <asp:BoundField DataField="Plaetze" HeaderText="Plaetze" SortExpression="Plaetze">
    <ItemStyle HorizontalAlign="Left" />
   </asp:BoundField>
   <asp:BoundField DataField="FreiePlaetze" HeaderText="FreiePlaetze" SortExpression="FreiePlaetze" />

   <asp:TemplateField HeaderText="Auslastung" ItemStyle-HorizontalAlign="Right">
    <ItemTemplate>
     <%#  Math.Round(((double)Item.FreiePlaetze / (double)Item.Plaetze)*100,2) + "%" %>
    </ItemTemplate>

    <ItemStyle HorizontalAlign="Right"></ItemStyle>
   </asp:TemplateField>
  </Columns>

  <EditRowStyle BackColor="#AAAAAA" />
  <FooterStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
  <HeaderStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
  <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Center" />
  <RowStyle BackColor="#E3EAEB" />
  <SelectedRowStyle BackColor="#AAAAAA" Font-Bold="True" ForeColor="#333333" />
  <SortedAscendingCellStyle BackColor="#F8FAFA" />
  <SortedAscendingHeaderStyle BackColor="#246B61" />
  <SortedDescendingCellStyle BackColor="#D4DFE1" />
  <SortedDescendingHeaderStyle BackColor="#15524A" />
 </asp:GridView>

 <%--Detailansicht--%>

<%-- <asp:DetailsView ID="Detailsview1" runat="Server"
  SelectMethod="GetFlug" UpdateMethod="UpdateFlug" DeleteMethod="DeleteFlug" CellPadding="4" ForeColor="#333333" GridLines="None">
  <AlternatingRowStyle BackColor="White" />
  <CommandRowStyle BackColor="#C5BBAF" Font-Bold="True" />
  <EditRowStyle BackColor="#7C6F57" />
  <FieldHeaderStyle BackColor="#D0D0D0" Font-Bold="True" />
  <FooterStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
  <HeaderStyle BackColor="#1C5E55" Font-Bold="True" ForeColor="White" />
  <PagerStyle BackColor="#666666" ForeColor="White" HorizontalAlign="Center" />
  <RowStyle BackColor="#E3EAEB" />


 </asp:DetailsView>
--%>

</asp:Content>
