﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web.ModelBinding;
using de.WWWings.GO;


public partial class ModelBinding2 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {

    }

    WWWings6Entities model = new WWWings6Entities();

    // Select-Methode für GridView: Holt alle Flüge
    //public IQueryable<Flug> GetFluege()
    //{
    // return model.Flug.Where(x=>x.FreiePlaetze>10);
    //}

    // Select-Methode für GridView: Holt alle Flüge
    //public Flug GetFlug([Control("FlugTabelle")] int? aktuelleFlugNr)
    //{
    // return model.Flug.Where(f => f.FlugNr == aktuelleFlugNr).SingleOrDefault();
    //}


    #region Optionaler Code
     // Select-Methode für DropDown. Hier reicht IEnumerable
    public IEnumerable<string> GetOrte()
    {
        WWWings6Entities model = new WWWings6Entities();
        return (from f in model.Flug select f.Abflugort).Distinct();
    }

    // Select-Methode für Grid mit Parameter aus Control
    public IQueryable<Flug> GetFluege([System.Web.ModelBinding.Control] string Ort)
    {
     WWWings6Entities model = new WWWings6Entities();
     return model.Flug.Where(x => x.Abflugort == Ort);
    }


    //// Select-Methode für Grid mit Parameter aus Control oder Querysttring
    //public IQueryable<Flug> GetFlug([System.Web.ModelBinding.Control("Ort")] string Ort1,
    // [System.Web.ModelBinding.QueryString("Ort")] string Ort2, [System.Web.ModelBinding.QueryString] int? Anzahl)
    //{
    // WWWings6Entities model = new WWWings6Entities();
    // var q = model.Flug.Where(x => x.Abflugort == Ort1 || x.Abflugort == Ort2);
    // if (Anzahl.HasValue) q = q.Take(Anzahl.Value);
    // return q;
    //}


    // Select-Methode für Grid
    //public IEnumerable GetFlug([System.Web.ModelBinding.Control] string Ort,int maximumRows, int startRowIndex, out int totalRowCount)
    //{
    // WWWings6Entities model = new WWWings6Entities();
    // totalRowCount = model.Flug.Count();
    // return model.Flug.Where(x => x.Abflugort == Ort).OrderBy(x=>x.FlugNr).Skip(startRowIndex).Take(maximumRows);
    //}
    
    #endregion

    // Update-Methode für GridView
    public void UpdateFlug(Flug flug)
    {

     if (ModelState.IsValid)
     {
      model.AttachTo("Flug", flug);
      model.ObjectStateManager.ChangeObjectState(flug, System.Data.EntityState.Modified);
      model.SaveChanges();
     }
     }

    // Delete-Methode für GridView
    public void DeleteFlug(Flug flug)
    {
     if (ModelState.IsValid)
     {
      model.AttachTo("Flug", flug);
      model.ObjectStateManager.ChangeObjectState(flug, System.Data.EntityState.Deleted);
      model.SaveChanges();
     }
    }
}