<%@ Page Language="C#" AutoEventWireup="true" Trace="false" CodeFile="Fluege_ODS_BO5_EF_Filter_Neu.aspx.cs"
 Inherits="Fluege_ODS_BO5_EF_Filter_Neu" MasterPageFile="~/WWWings.Einfach.master" %>

<asp:Content ID="P1" runat="server" ContentPlaceHolderID="P_MainContent">
 <div>
  <span style="font-size: 32pt; font-family: Arial"><span style="font-size: 16pt">Flugplan
   (mit Filtern, ndern und Lschen) - basiert auf EF</span><br />
  </span>
  <br />
  Abflughafen:
  <asp:DropDownList ID="C_Abflughafen" runat="server" AutoPostBack="True" DataSourceID="ODS_Abflughaefen">
  </asp:DropDownList>
  <br />
  <asp:ObjectDataSource ID="ODS_Abflughaefen" runat="server" OldValuesParameterFormatString="original_{0}"
   SelectMethod="HoleAlle"  TypeName="de.WWWings.GL.FlughaefenBLManager" OnSelecting="ODS_Abflughaefen_Selecting">
  </asp:ObjectDataSource>
  <br />
  <asp:GridView ID="GridView1" runat="server" DataKeyNames="FlugNr" DataSourceID="ObjectDataSource1"
   BackColor="White" BorderColor="#E7E7FF" BorderWidth="1px" CellPadding="3" GridLines="Horizontal"
   AutoGenerateColumns="False" Width="100%" BorderStyle="None" AllowPaging="True" 
   ItemType="de.WWWings.GO.Flug">
   <Columns>
    <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" />
    <asp:BoundField DataField="FlugNr" HeaderText="FlugNr">
     <ItemStyle HorizontalAlign="Left" />
    </asp:BoundField>
    <asp:BoundField DataField="Abflugort" HeaderText="Abflugort" SortExpression="Abflugort">
     <ItemStyle HorizontalAlign="Left" />
    </asp:BoundField>
    <asp:BoundField DataField="ZielOrt" HeaderText="ZielOrt" SortExpression="Zielort">
     <ItemStyle HorizontalAlign="Left" />
    </asp:BoundField>
    <asp:BoundField DataField="Plaetze" HeaderText="Plaetze" SortExpression="Plaetze">
     <ItemStyle HorizontalAlign="Left" />
    </asp:BoundField>
    <asp:BoundField DataField="FreiePlaetze" HeaderText="FreiePlaetze" SortExpression="FreiePlaetze" />

    <asp:TemplateField HeaderText="Auslastungtext" ItemStyle-HorizontalAlign="Right">
     <ItemTemplate>
      <%#   Convert.ToInt32(Eval("FreiePlaetze")) < 10 ? 
      "gut" : (Convert.ToInt32(Eval("FreiePlaetze")) < 100 ? "mittel" : "schlecht")  %>
     </ItemTemplate>
    </asp:TemplateField>
    
    <asp:TemplateField HeaderText="Auslastung in %" ItemStyle-HorizontalAlign="Right">
     <ItemTemplate>
      <%#  Math.Round((Convert.ToDecimal(Eval("FreiePlaetze")) / Convert.ToDecimal(Eval("Plaetze")))*100,2) + "%" %>
     </ItemTemplate>
    </asp:TemplateField>

    <asp:TemplateField HeaderText="Auslastungtext" ItemStyle-HorizontalAlign="Right">
     <ItemTemplate>
      <%#  Item.FreiePlaetze < 10 ? "gut" : (Item.FreiePlaetze < 100 ? "mittel" : "schlecht")  %>
     </ItemTemplate>
    </asp:TemplateField>

        <asp:TemplateField HeaderText="Auslastung in %" ItemStyle-HorizontalAlign="Right">
     <ItemTemplate>
      <%#  Math.Round((double)(Item.FreiePlaetze / Item.Plaetze)*100,2) + "%" %>
     </ItemTemplate>
    </asp:TemplateField>
   </Columns>
   <FooterStyle BackColor="#B5C7DE" ForeColor="#4A3C8C" />
   <SelectedRowStyle BackColor="#738A9C" ForeColor="#F7F7F7" Font-Bold="True" />
   <PagerStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" HorizontalAlign="Right" />
   <HeaderStyle HorizontalAlign="Left" BackColor="#4A3C8C" Font-Bold="True" ForeColor="#F7F7F7" />
   <AlternatingRowStyle BackColor="#F7F7F7" />
   <RowStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" />
  </asp:GridView>
  <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" DeleteMethod="LoescheFlug"
   SelectMethod="GetFluegeVonOrt" TypeName="de.WWWings.GL.FlugBLManager" UpdateMethod="SaveFlug"
   ConflictDetection="OverwriteChanges" OldValuesParameterFormatString="original_{0}"
   DataObjectTypeName="de.WWWings.GO.Flug" OnSelecting="ObjectDataSource1_Selecting"
   OnUpdating="ObjectDataSource1_Updating">
   <SelectParameters>
    <asp:ControlParameter Name="Ort" ControlID="C_Abflughafen" />
   </SelectParameters>
   <DeleteParameters>
    <asp:Parameter Name="Original_Fl_FlugNr" Type="Int32" />
   </DeleteParameters>
   <UpdateParameters>
    <asp:Parameter Name="Abflugort" Type="String" />
    <asp:Parameter Name="ZielOrt" Type="String" />
    <asp:Parameter Name="Plaetze" Type="Int16" />
    <asp:Parameter Name="NichtRaucherFlug" Type="Boolean" />
    <asp:Parameter Name="EingerichtetAm" Type="DateTime" />
    <asp:Parameter Name="original_FlugNr" Type="Int32" />
   </UpdateParameters>
  </asp:ObjectDataSource>
 </div>
</asp:Content>
