﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="chatASHX.aspx.cs" Inherits="chat.ChatPage" MasterPageFile="~/WWWings.Einfach.master" %>

<asp:Content runat="server" ContentPlaceHolderID="P_MainContent">
    <style type="text/css">
        body {
            font-family: "Segoe UI";
            font-size: 12px;
        }
        form {
            margin-bottom: 10px;
            display: block;
        }
        label {
            display: block;
        }
    </style>
    <script src="../Scripts/jquery-1.6.3.min.js"></script>
    <script src="../Scripts/jquery.cookie.js" type="text/javascript"></script>
    <script src="../Scripts/json2.min.js" type="text/javascript"></script>
    <script>
        $(function () {
            "use strict";

            var host = "ws://localhost:1079/Websockets/chat.ashx"; // ASP.NET Handler
            $("#join").click(function () {
                
                var connection = new WebSocket(host);

                connection.onmessage = function (message) {
                    var data = window.JSON.parse(message.data);
                    $("<li/>").html("[" + data.from + "]:&nbsp;" + data.value).appendTo($("#messages"));
                };

                $("#broadcast").click(function () {
                    connection.send(window.JSON.stringify({ type: 1, value: $("#msg").val() }));
                });

            });

        });
</script>

    <h2>Chat (komplexe Nachricht / Server ist ASP.NET Handler)</h2>
   
        <input type="button" id="join" value="Chat betreten" />
        <input type="text" id="msg" size="50" />
        <br />
        <input type="button" id="broadcast" value="Senden" />
 
    <ul id="messages">
    </ul>
    
</asp:Content>