﻿CREATE TABLE [dbo].[Mitarbeiter] (
    [PersonID]             INT      NOT NULL,
    [MitarbeiterNr]        INT      NULL,
    [Einstellungsdatum]    DATETIME NULL,
    [VorgesetzterPersonID] INT      NULL,
    CONSTRAINT [PK_Mitarbeiter] PRIMARY KEY CLUSTERED ([PersonID] ASC),
    CONSTRAINT [FK_MI_Mitarbeiter_PE_Person] FOREIGN KEY ([PersonID]) REFERENCES [dbo].[Person] ([PersonID]) ON DELETE NO ACTION ON UPDATE NO ACTION,
    CONSTRAINT [FK_Mitarbeiter_Mitarbeiter] FOREIGN KEY ([VorgesetzterPersonID]) REFERENCES [dbo].[Mitarbeiter] ([PersonID]) ON DELETE NO ACTION ON UPDATE NO ACTION, 
    CONSTRAINT [FK_Mitarbeiter_inherits_Person] FOREIGN KEY ([PersonID])REFERENCES [dbo].[Person]([PersonID])
);

