﻿CREATE TABLE [dbo].[Pilot] (
    [PersonID]       INT           NOT NULL,
    [FlugscheinSeit] DATETIME      NULL,
    [Flugscheintyp]  NCHAR (1)     NULL,
    [Flugstunden]    INT           NULL,
    [Flugschule]     NVARCHAR (50) NULL,
    CONSTRAINT [PK_Pilot] PRIMARY KEY CLUSTERED ([PersonID] ASC),
    CONSTRAINT [FK_PI_Pilot_MI_Mitarbeiter] FOREIGN KEY ([PersonID]) REFERENCES [dbo].[Mitarbeiter] ([PersonID]) ON DELETE NO ACTION ON UPDATE NO ACTION, 
    CONSTRAINT [FK_Pilot_inherits_Mitarbeiter] FOREIGN KEY ([PersonID])REFERENCES [dbo].[Mitarbeiter]([PersonID])
);

