﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using de.WWWings.GO;

namespace de.WWWings.GL
{

 /// <summary>
 /// Verwaltungsklasse für Passagierklasse
 /// </summary>
 public class PassagierBLManager
 {
  WWWings6Entities modell = new WWWings6Entities();


  /// <summary>
  /// Liefert einen Passagier anhand der PersonID
  /// </summary>
  public Passagier GetPassagier(Int32 ID)
  {
   var q = (from p in modell.Person.OfType<Passagier>() where p.PersonID == ID select p).SingleOrDefault();
   return q;
  }



 }
}
