﻿using System;
using System.Data.SqlClient;
using System.Threading.Tasks;

namespace Konsole45
{
 public class ADONET45Demo
 {

  static void ProductList(IAsyncResult result) { }

  public static void run()
  {
   Console.WriteLine("Run() #1: Aufruf wird initiiert: Thread=" + System.Threading.Thread.CurrentThread.ManagedThreadId);
   ReadDataAsync();
   Console.WriteLine("Run() #2: Aufruf ist erfolgt: Thread=" + System.Threading.Thread.CurrentThread.ManagedThreadId);
  }


  /// <summary>
  /// Asynchroner Download (Rückgabe: nichts)
  /// </summary>
  static private async void ReadDataAsync()
  {
   // Datenbankverbindung asynchron aufbauen
   SqlConnection conn = new SqlConnection(@"data source=.;initial catalog=WWWings6;integrated security=True;MultipleActiveResultSets=True;App=ADONETClassic");
   await conn.OpenAsync();
   Console.WriteLine("Nach Open Async: Thread=" + System.Threading.Thread.CurrentThread.ManagedThreadId);
   // Daten asynchron abrufen
   SqlCommand cmd = new SqlCommand("select top(10) * from flug", conn);
   var reader = await cmd.ExecuteReaderAsync();
   Console.WriteLine("Nach ExecuteReaderAsync: Thread=" + System.Threading.Thread.CurrentThread.ManagedThreadId);
   // Daten ausgeben
   while (reader.Read())
   {
    Console.ForegroundColor = ConsoleColor.Yellow;
    Console.WriteLine(reader["Abflugort"]);
    Console.ForegroundColor = ConsoleColor.Gray;
   }

   // Verbindung beenden
   conn.Close();
  }
 }

 //          conn.OpenAsync().ContinueWith((task) =>
 //{
 //    SqlCommand cmd = new SqlCommand("select top 2 * from flug", conn);
 //    IAsyncResult ia =  cmd.BeginExecuteReader(productList, cmd);
 //}, TaskContinuationOptions.OnlyOnRanToCompletion);


}


