﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Konsole45.Parallel
{
 class AsyncDemo2
 {

  public async  void run()
  {

   Print("Start");
   Task<int> t = DoWorkAsync();
   Print("ende");
   await t;
  }


  public void Print(string s)
  {
   Console.WriteLine("Thread " + System.Threading.Thread.CurrentThread.ManagedThreadId + ": " + s);
  }


  public async Task<int> DoWorkAsync()
  {
   Print("DoWorkAsync - Start");
   var t = new Task<int>(() => DoWork());
   t.Start();
   Print("DoWorkAsync - Mitte");
   await t;
   Print("DoWorkAsync - Ende");
   //DoWork();
   return 10;
  }

  public int DoWork()
  {

   int sum = 0;
   for (int i = 0; i < 10; i++)
   {
    Print(i.ToString());
    sum += i;
   }
   return sum;

  }


 }



}
