﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;

namespace Konsole45.Parallel
{
 public class ConcurrentExclusiveSchedulerPairDemo
 {


  public static void run()
  {

   ConcurrentExclusiveSchedulerPair s = new ConcurrentExclusiveSchedulerPair(TaskScheduler.Default, 4);
   var tf = new TaskFactory();

   for (int i = 1; i < 10; i++)
   {
    if (i % 4 == 0)
    {
     tf.StartNew((x) => { Console.WriteLine("Exklusiver Task #" + x + ": Thread=" + System.Threading.Thread.CurrentThread.ManagedThreadId); Thread.Sleep(1000); Console.WriteLine("Exklusiver Task #" + x + ": fertig!"); }, i, new CancellationToken(), new TaskCreationOptions(), s.ExclusiveScheduler);
     Console.WriteLine("Exklusiver Task " + i + " angelegt");
    }

    else
    {
     tf.StartNew((x) => { Console.WriteLine("Concurrent Task #" + x + ": Thread=" + System.Threading.Thread.CurrentThread.ManagedThreadId); Thread.Sleep(1000); Console.WriteLine("Concurrent Task #" + x + ": fertig!"); }, i, new CancellationToken(), new TaskCreationOptions(), s.ConcurrentScheduler);
     Console.WriteLine("Concurrent Task " + i + " angelegt");
    }
   }







  }
 }
}
