﻿using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Windows;
using System.Windows.Data;
using Modell;

namespace VirtualizingPanelDemo
{
    public partial class VirtualizingPanelDemoWindow : Window
    {
        private ObservableCollection<Person> _list;
        private ICollectionView _view;

        public VirtualizingPanelDemoWindow()
        {
            InitializeComponent();

            _list = new ObservableCollection<Person>()
            {
                new Person { Name = "Hans", Age = 37 },
                new Person { Name = "Manfred", Age = 21 },
                new Person { Name = "Maria", Age = 37 },
                new Person { Name = "Bill", Age = 26 },
                new Person { Name = "Janette", Age = 52 },
                new Person { Name = "Thomas", Age = 61 },
                new Person { Name = "Katharina", Age = 18 },
                new Person { Name = "Holger", Age = 39 },
                new Person { Name = "Jörg", Age = 24 },
                new Person { Name = "Joachim", Age = 47 },
                new Person { Name = "Maja", Age = 32 },
                new Person { Name = "Christian", Age = 41 },
                new Person { Name = "Hugo", Age = 45 },
                new Person { Name = "Benjamin", Age = 29 },
                new Person { Name = "Stephanie", Age = 26 },
                new Person { Name = "Susanne", Age = 23 },
            };
            _view = new CollectionViewSource() { Source = _list }.View;
            this.DataContext = _view;
        }

        private void closeButton_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }
    }
}
