﻿//----------------------------------------------------------------
// Dieses Beispiel basiert auf dem Beispiel "Advanced Filters" aus den WCF 4.0-Beispielen von Microsoft
//----------------------------------------------------------------
using System;
using System.ServiceModel.Channels;
using System.ServiceModel.Dispatcher;

namespace WCF_Router
{
 /// <summary>
 /// Filter mit eigener Filter Table
 /// </summary>
 public class CustomFilterMitFilterTable : MessageFilter
 {

  public string groupName;
  // Nur Speichern der Gruppe für Filtertabelle
  public CustomFilterMitFilterTable(string groupName)
  {
    if (string.IsNullOrEmpty(groupName)) { throw new ArgumentNullException("groupName"); }

    this.groupName = groupName;
  }

   // wird nicht verwendet in diesem Fall
  public override bool Match(Message message)
  {
   return true;
  }
  // wird nicht verwendet in diesem Fall
  public override bool Match(MessageBuffer buffer)
  {
   return true;
  }

  // wird nicht verwendet in diesem Fall
  protected override IMessageFilterTable<TFilterData> CreateFilterTable<TFilterData>()
  {
    // Filter kann eigene Filter-Tabelle erzeugen!
   return new RoundRobinMessageFilterTable<TFilterData>();
  }

 }
}
