﻿using System;
using System.ServiceModel;

using System.Collections.Generic;
namespace de.WWWings.Vertraege
{

 /// <summary>
 /// Schnittstelle für FlugplanServiceEF-WCF-Dienst
 /// </summary>
 [ServiceContract(Namespace = "WWWings")]
 public interface IFlugplanServiceEF
 {
  [OperationContract]
  long CountFluege();
  [OperationContract]
  long CountFluegeVonOrt(string Ort);
  [OperationContract]
  long CountFluegeRoute(string Abflugort, string Zielort);

  [OperationContract]
  List<de.WWWings.GO.Flug> GetFluege();
 [OperationContract]
  List<de.WWWings.GO.Flug> GetFluege_Paging(string Sortierung, int PagingAnzahl, int PagingStart);
  [OperationContract]
  List<de.WWWings.GO.Flug> GetFluegeVonOrt(string Ort);
  [OperationContract]
  List<de.WWWings.GO.Flug> GetFluegeVonOrt_Paging(string Sortierung, string Ort, int PagingAnzahl, int PagingStart);
  [OperationContract]
  List<de.WWWings.GO.Flug> GetFluegeRoute(string Abflugort, string Zielort);
  [OperationContract]
  de.WWWings.GO.Flug GetFlug(long FlugNr);
  
  [OperationContract]
  bool SaveFlug(de.WWWings.GO.Flug flug);
  [OperationContract]
  de.WWWings.GO.Flug AddFlug(de.WWWings.GO.Flug flug);
  [OperationContract]
  void DeleteFlug(de.WWWings.GO.Flug flug);
  [OperationContract]
  string SaveFluege(List<de.WWWings.GO.Flug> fluege);

  //[OperationContract]
  //de.WWWings.GO.Flug HoleFlug_EF(long FlugNr);
 }
}
