﻿using System;
using System.Linq;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.ServiceModel.Activation;
using System.Web;

namespace SilverlightServer
{


  
  [ServiceContract(Namespace = "http://www.world-wide-wings.de/")]
  [AspNetCompatibilityRequirements(RequirementsMode = AspNetCompatibilityRequirementsMode.Allowed)]
  public class WCFService
  {
    [OperationContract]
    public SilverlightSharedLibrary.ServerInfo GetInfo()
    {

      SilverlightSharedLibrary.ServerInfo si = new SilverlightSharedLibrary.ServerInfo();
      si.ComputerName = Environment.MachineName;
      si.Webserver = "IIS " + HttpContext.Current.Request.ServerVariables["HTTP_HOST"];
      si.Hardware = Environment.ProcessorCount + " CPUs";
      si.Identity = Environment.UserDomainName + @"\" + Environment.UserName;
      si.AuthenticatedUser = System.Web.HttpContext.Current.User.Identity.Name.ToString();

      dynamic shell = Activator.CreateInstance(Type.GetTypeFromProgID("Wscript.shell"));
      string key = @"HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\ProductName";
      si.OSProductName = shell.RegRead(key);

      key = @"HKLM\SOFTWARE\Microsoft\Windows NT\CurrentVersion\CurrentBuild";
      si.OSBuild = shell.RegRead(key);


      return si;
    }

    // Add more operations here and mark them with [OperationContract]
  }
}
