﻿using System;
using System.Linq;
using System.Web.UI.WebControls;

public partial class BooleanRadio : System.Web.DynamicData.QueryableFilterUserControl
{

 protected void Page_Load(object sender, EventArgs e)
 {
  if (!this.IsPostBack)
  {
   RadioButtonList1.Items.Add(new ListItem("Beides", "", true));
   RadioButtonList1.Items.Add(new ListItem("Ja", "true", true));
   RadioButtonList1.Items.Add(new ListItem("Nein", "false", true));
   RadioButtonList1.SelectedIndex = 0;
  }
 }

 public override IQueryable GetQueryable(IQueryable source)
 {
  if (RadioButtonList1.SelectedItem == null) return source;
  if (RadioButtonList1.SelectedValue == "") return source;

  return ApplyEqualityFilter(source, Column.Name, Convert.ToBoolean(RadioButtonList1.SelectedValue));
 }

 protected void RadioButtonList1_SelectedIndexChanged(object sender, EventArgs e)
 {
  OnFilterChanged();
 }

}
