﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Collections.Specialized;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Linq.Expressions;
using System.Data.Entity;
using System.Web.DynamicData;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Linq.Dynamic;

  public partial class VolltextsucheFilter : System.Web.DynamicData.QueryableFilterUserControl
  {
    private const string NullValueString = "[null]";
    public override Control FilterControl
    {
      get
      {
        return TextBox;
      }
    }

    public void Page_Init(object sender, EventArgs e)
    {

  
      if (!Page.IsPostBack)
      {

        // Set the initial value if there is one
        string initialValue = DefaultValue;
        if (!String.IsNullOrEmpty(initialValue))
        {
          TextBox.Text = initialValue;
        }
      }
    }

    public override IQueryable GetQueryable(IQueryable source)
    {
      string selectedValue = TextBox.Text;
      if (String.IsNullOrEmpty(selectedValue))
      {
        return source;
      }

      object value = selectedValue;
      if (selectedValue == NullValueString)
      {
        value = null;
      }
      if (DefaultValues != null)
      {
        DefaultValues[Column.Name] = value;
      }

     // Teilstring mit Dynamic LINQ
      IQueryable q = source.Where("it." + Column.Name + ".Contains(@0)", value);
      return q;
    }

    protected void Text_Changed(object sender, EventArgs e)
    {
      OnFilterChanged();
    }

  }

