<%@ Page Language="CS" MasterPageFile="~/Master/WWWings.master" AutoEventWireup="false" CodeFile="Eingabemaske_in_Masterpage.aspx.CS" Inherits="Buchung_AJAX_AJAXEingabemaske" title="Eingabemaske" %>
<asp:Content ID="Content1" ContentPlaceHolderID="P_MainContent" Runat="Server">
 <link href="MSStyleSheet.css" rel="stylesheet" type="text/css" />
   <div>
   <asp:ScriptManager ID="ScriptManager1" runat="server">
   </asp:ScriptManager>
   <br />
    <strong><span style="font-size: 14pt">AJAX-basierte Buchungsmaske<br />
   </span></strong><br />
   <ajaxToolkit:Accordion ID="Accordion1" runat="server" FadeTransitions="true" FramesPerSecond="40"
    TransitionDuration="100" HeaderCssClass="accordionHeader">
    <Panes>
     <ajaxToolkit:AccordionPane ID="AccordionPane1" ContentCssClass="" HeaderCssClass=""
      runat="server">
      <Header>
       Flugdaten
      </Header>
      <Content>
       <table width="60%">
        <tr>
         <th>
          Flugsuche</th>
         <th>
          ODER Direkteingabe</th>
        </tr>
        <tr>
         <td valign="top" style="width: 112px; background-color: #ccffff;">
          Abflugort-Auswahl:
          <asp:DropDownList ID="C_AOrt" runat="server">
          </asp:DropDownList><br />
          oder Abflugort-Eingabe:
          <asp:TextBox runat="server" ID="myTextBox" Width="300" autocomplete="off" />
          <ajaxToolkit:AutoCompleteExtender runat="server" ID="autoComplete1" TargetControlID="myTextBox"
           ServicePath="AutoComplete.asmx" ServiceMethod="HoleAbflugOrte" MinimumPrefixLength="1"
           CompletionInterval="1000" EnableCaching="true" CompletionSetCount="12" />
          Zielort:
          <asp:DropDownList ID="C_ZOrt" runat="server">
          </asp:DropDownList><br />
          <ajaxToolkit:CascadingDropDown ID="CascadingDropDown1" runat="server" TargetControlID="C_AOrt"
           Category="Abflug" PromptText="Bitte whlen" LoadingText="Lade..." ServiceMethod="HoleAbflugorte" />
          <ajaxToolkit:CascadingDropDown ID="CascadingDropDown2" runat="server" TargetControlID="C_ZOrt"
           Category="Ziel" PromptText="Bitte erst Abflug whlen" LoadingText="Lade..." ServiceMethod="HoleZielorte"
           ParentControlID="C_AOrt" />
          <br />
          Datum:<asp:TextBox ID="C_Datum" runat="server"></asp:TextBox><br />
          <ajaxToolkit:CalendarExtender ID="CalendarExtender1" runat="server" TargetControlID="C_Datum">
          </ajaxToolkit:CalendarExtender>
          <br />
          <asp:Button ID="F_Flugsuchen" runat="server" Text="Suchen" /><br />
         </td>
         <td valign="top" style="width: 100px; background-color: #ffffcc;">
          <br />
          Flugnummer: &nbsp;
          <asp:TextBox ID="C_FlugNr" runat="server"></asp:TextBox>
          &nbsp;
          <ajaxToolkit:TextBoxWatermarkExtender ID="TextBoxWatermarkExtender1" runat="server"
           TargetControlID="C_FlugNr" WatermarkText="Bitte nur Zahlen eingeben!">
          </ajaxToolkit:TextBoxWatermarkExtender>
          <ajaxToolkit:FilteredTextBoxExtender ID="C_FlugNr_Extender" runat="server" TargetControlID="C_FlugNr"
           FilterType="Custom, Numbers" ValidChars="WW">
          </ajaxToolkit:FilteredTextBoxExtender>
          &nbsp;<br />
          &nbsp;
         </td>
        </tr>
       </table>
       <br />
       Flge:<br />
       <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
         <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" DataSourceID="ObjectDataSource2"
          CellPadding="4" ForeColor="#333333" GridLines="None" >
          <Columns>
           <asp:BoundField DataField="Datum" HeaderText="Datum" SortExpression="Datum" />
           <asp:BoundField DataField="FreiePlaetze" HeaderText="FreiePlaetze" SortExpression="FreiePlaetze" />
           <asp:BoundField DataField="FlugNr" HeaderText="FlugNr" SortExpression="FlugNr" />
           <asp:BoundField DataField="ZielOrt" HeaderText="ZielOrt" SortExpression="ZielOrt" />
           <asp:CheckBoxField DataField="Nichtraucherflug" HeaderText="Nichtraucherflug" SortExpression="Nichtraucherflug" />
           <asp:BoundField DataField="Plaetze" HeaderText="Plaetze" SortExpression="Plaetze" />
           <asp:BoundField DataField="AbflugOrt" HeaderText="AbflugOrt" SortExpression="AbflugOrt" />
          </Columns>
          <FooterStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
          <RowStyle BackColor="#EFF3FB" />
          <EditRowStyle BackColor="#2461BF" />
          <SelectedRowStyle BackColor="#D1DDF1" Font-Bold="True" ForeColor="#333333" />
          <PagerStyle BackColor="#2461BF" ForeColor="White" HorizontalAlign="Center" />
          <HeaderStyle BackColor="#507CD1" Font-Bold="True" ForeColor="White" />
          <AlternatingRowStyle BackColor="White" />
         </asp:GridView>
         <asp:ObjectDataSource ID="ObjectDataSource2" runat="server" OldValuesParameterFormatString="original_{0}"
          SelectMethod="HoleAlle" TypeName="de.WWWings.FlugBLManager">
          <SelectParameters>
           <asp:ControlParameter ControlID="C_AOrt" Name="FL_Abflughafen" PropertyName="SelectedValue"
            Type="String" />
           <asp:ControlParameter ControlID="C_ZOrt" Name="FL_Zielhafen" PropertyName="SelectedValue"
            Type="String" />
          </SelectParameters>
         </asp:ObjectDataSource>
        </ContentTemplate>
        <Triggers>
         <asp:AsyncPostBackTrigger ControlID="F_Flugsuchen" EventName="Click" />
        </Triggers>
       </asp:UpdatePanel>
      </Content>
     </ajaxToolkit:AccordionPane>
     <ajaxToolkit:AccordionPane ID="AccordionPane2" ContentCssClass="" HeaderCssClass=""
      runat="server">
      <Header>
       Personendaten
      </Header>
      <Content>
       &nbsp;&nbsp;<br />
       Name:
       <br />
       <asp:TextBox ID="C_Name" runat="server" ValidationGroup="Personendaten"></asp:TextBox>
       <asp:RequiredFieldValidator ID="RequiredFieldValidator1" runat="server" ControlToValidate="C_Name"
        ErrorMessage="Bitte Name nicht leerlassen!" ValidationGroup="Personendaten"></asp:RequiredFieldValidator>
       <ajaxToolkit:ValidatorCalloutExtender ID="ValidatorCalloutExtender1" runat="server"
        TargetControlID="RequiredFieldValidator1">
       </ajaxToolkit:ValidatorCalloutExtender>
       <br />
       Ihr Geburtsdatum:<br />
       <asp:TextBox ID="C_Geb" runat="server"></asp:TextBox>
       <ajaxToolkit:MaskedEditExtender ID="C_Geb_Extendr" runat="server" TargetControlID="C_Geb"
        Mask="99/99/9999" MessageValidatorTip="true" OnFocusCssClass="MaskedEditFocus" OnInvalidCssClass="MaskedEditError"
        MaskType="Date" DisplayMoney="Left" AcceptNegative="Left" />
       <br />
       &nbsp;<br />
       Sie reisen:<br />
       <asp:TextBox ID="C_Personen" runat="server"></asp:TextBox>
       <br />
       <ajaxToolkit:NumericUpDownExtender ID="NumericUpDownExtender1" runat="server" RefValues="allein;zu Zweit;zu Dritt;zu Viert"
        TargetControlID="C_Personen" Width="120">
       </ajaxToolkit:NumericUpDownExtender>
       <br />
      </Content>
     </ajaxToolkit:AccordionPane>
     <ajaxToolkit:AccordionPane ID="AccordionPane3" ContentCssClass="" HeaderCssClass=""
      runat="server">
      <Header>
       Umfrage
      </Header>
      <Content>
       <div>
        Umfrage: Was sind die wichtigsten Grnde, warum Sie bei uns buchen? Bitte sortieren
        Sie die Grnde in die fr Sie relevante Reihenfolge!</div>
       <asp:UpdatePanel ID="up1" runat="server">
        <ContentTemplate>
         <div class="reorderListDemo">
          <ajaxToolkit:ReorderList ID="ReorderList1" runat="server" PostBackOnReorder="false"
           DataSourceID="ObjectDataSource1" CallbackCssStyle="callbackStyle" DragHandleAlignment="Left"
           ItemInsertLocation="Beginning" DataKeyField="ItemID" SortOrderField="Priority">
           <ItemTemplate>
            <div class="itemArea">
             <asp:Label ID="Label1" runat="server" Text='<%# HttpUtility.HtmlEncode(Convert.ToString(Eval("Title"))) %>' />
             <asp:Label ID="Label2" runat="server" Text='<%# HttpUtility.HtmlEncode(Convert.ToString(Eval("Description", " - {0}"))) %>' />
            </div>
           </ItemTemplate>
           <EditItemTemplate>
            <div class="itemArea">
             <asp:TextBox ID="TextBox2" runat="server" Text='<%# Bind("Title") %>' />
             <asp:TextBox ID="TextBox3" runat="server" Text='<%# Bind("Description") %>' />
             <asp:TextBox ID="TextBox4" runat="server" Text='<%# Bind("Priority") %>' />
            </div>
           </EditItemTemplate>
           <ReorderTemplate>
            <asp:Panel ID="Panel2" runat="server" CssClass="reorderCue" />
           </ReorderTemplate>
           <DragHandleTemplate>
            <div class="dragHandle">
            </div>
           </DragHandleTemplate>
           <InsertItemTemplate>
            <div style="padding-left: 25px; border-bottom: thin solid transparent;">
             <asp:Panel ID="panel1" runat="server" DefaultButton="Button1">
              <asp:TextBox ID="TextBox1" runat="server" Text='<%# Bind("Title") %>' />
              <asp:Button ID="Button1" runat="server" CommandName="Insert" Text="Hinzufgen" />
              <asp:RequiredFieldValidator ID="RequiredFieldValidator10" runat="server" ErrorMessage="Sie drfen Grnde hinzufgen"
               ControlToValidate="TextBox1" />
             </asp:Panel>
            </div>
           </InsertItemTemplate>
          </ajaxToolkit:ReorderList>
         </div>
         <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" DeleteMethod="Delete"
          InsertMethod="Insert" OldValuesParameterFormatString="original_{0}" SelectMethod="Select"
          TypeName="SessionTodoXmlDataObject" UpdateMethod="Update">
          <DeleteParameters>
           <asp:Parameter Name="Original_ItemID" Type="Int32" />
          </DeleteParameters>
          <UpdateParameters>
           <asp:Parameter Name="Title" Type="String" />
           <asp:Parameter Name="Description" Type="String" />
           <asp:Parameter Name="Priority" Type="Int32" />
           <asp:Parameter Name="Original_ItemID" Type="Int32" />
          </UpdateParameters>
          <InsertParameters>
           <asp:Parameter Name="Title" Type="String" />
           <asp:Parameter Name="Description" Type="String" />
           <asp:Parameter Name="Priority" Type="Int32" />
          </InsertParameters>
         </asp:ObjectDataSource>
        </ContentTemplate>
       </asp:UpdatePanel>
       <asp:Button ID="C_Buchen" runat="server" Text="Buchung absenden" />
       <ajaxToolkit:ConfirmButtonExtender ID="ConfirmButtonExtender1" runat="server" ConfirmText="Sind Sie sicher, dass Sie die Buchung jetzt absenden mchten?"
        TargetControlID="C_Buchen">
       </ajaxToolkit:ConfirmButtonExtender>
      </Content>
     </ajaxToolkit:AccordionPane>
     <ajaxToolkit:AccordionPane ID="AccordionPane4" ContentCssClass="" HeaderCssClass=""
      runat="server">
      <Header>
       Bedingungen
      </Header>
      <Content>
       <hr noshade="true" />
       <asp:Panel ID="C_Bedingungen" runat="server" CssClass="frameText">
        Bedingungen Bedingungen Bedingungen Bedingungen Bedingungen Bedingungen Bedingungen
        Bedingungen Bedingungen Bedingungen Bedingungen Bedingungen Bedingungen Bedingungen
        Bedingungen Bedingungen Bedingungen Bedingungen Bedingungen Bedingungen Bedingungen
        Bedingungen Bedingungen Bedingungen Bedingungen Bedingungen Bedingungen Bedingungen
        Bedingungen Bedingungen Bedingungen Bedingungen Bedingungen Bedingungen Bedingungen
        Bedingungen Bedingungen Bedingungen Bedingungen. Nichts als Bedingungen :-(</asp:Panel>
       <ajaxToolkit:ResizableControlExtender ID="ResizableControlExtender2" runat="server"
        TargetControlID="C_Bedingungen" ResizableCssClass="resizingText" HandleCssClass="handleText"
        MinimumWidth="400" MinimumHeight="50" MaximumWidth="400" MaximumHeight="150" />
      </Content>
     </ajaxToolkit:AccordionPane>
    </Panes>
    </ajaxToolkit:Accordion>
   
   </div> 
</asp:Content>

