﻿<%@ Page Language="C#" AutoEventWireup="true"  CodeFile="Default.aspx.cs" Inherits="_Default" %>
<html >
<head runat="server">
    <title>NEC DemoSite</title>
    <link href="../extranet.css" rel="stylesheet" type="text/css" />

</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="s1" EnablePartialRendering="true" runat="server" />
<div id="content">
              <asp:UpdatePanel ID="UpdatePanel2" Mode="Conditional" runat="server">
                    <ContentTemplate>
        Filter nach Abflugort:
        <asp:DropDownList ID="DropDownList1" runat="server" AppendDataBoundItems="True" AutoPostBack="True"
            DataSourceID="SqlDataSource2" DataTextField="FL_Abflugort" DataValueField="FL_Abflugort" Font-Size="10px">
            <asp:ListItem Selected="True">Bitte w&#228;hlen Sie</asp:ListItem>
        </asp:DropDownList><asp:SqlDataSource ID="SqlDataSource2" runat="server" ConnectionString="<%$ ConnectionStrings:CS_WWWings %>"
            SelectCommand="SELECT DISTINCT [FL_Abflugort] FROM [FL_Fluege]"></asp:SqlDataSource>
        <br />
        <br />
        <asp:GridView ID="GridView1" runat="server" AllowSorting="True"
            AutoGenerateColumns="False" CellPadding="4" DataKeyNames="FL_FlugNr" DataSourceID="SqlDataSource1"
            EmptyDataText="There are no data records to display." ForeColor="#333333" GridLines="None" Font-Size="10px" Width="100%">
            <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
            <Columns>
                <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" CancelText="Abbrechen" DeleteText="L&#246;schen" EditText="&#196;ndern" />
                <asp:BoundField DataField="FL_FlugNr" HeaderText="FlugNr" ReadOnly="True" SortExpression="FL_FlugNr" />
                <asp:BoundField DataField="FL_Abflugort" HeaderText="Abflugort" SortExpression="FL_Abflugort" />
                <asp:BoundField DataField="FL_Zielort" HeaderText="Zielort" SortExpression="FL_Zielort" />
                <asp:BoundField DataField="FL_Datum" HeaderText="Datum" SortExpression="FL_Datum" />
                <asp:CheckBoxField DataField="FL_NichtRaucherFlug" HeaderText="NichtRaucherFlug"
                    SortExpression="FL_NichtRaucherFlug" />
                <asp:BoundField DataField="FL_Plaetze" HeaderText="Plaetze" SortExpression="FL_Plaetze" />
                <asp:BoundField DataField="FL_FreiePlaetze" HeaderText="FreiePlaetze" SortExpression="FL_FreiePlaetze" />
                <asp:BoundField AccessibleHeaderText="Auslastung" />
            </Columns>
            <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
            <EditRowStyle BackColor="#999999" />
            <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
            <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
            <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
            <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
        </asp:GridView>
        </ContentTemplate></asp:UpdatePanel>
      
        
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:CS_WWWings %>"
            DeleteCommand="DELETE FROM [FL_Fluege] WHERE [FL_FlugNr] = @FL_FlugNr" InsertCommand="INSERT INTO [FL_Fluege] ([FL_FlugNr], [FL_Abflugort], [FL_Zielort], [FL_Datum], [FL_NichtRaucherFlug], [FL_Plaetze], [FL_FreiePlaetze], [FL_PI_MI_MitarbeiterNr], [FL_AnzahlStarts], [FL_EingerichtetAm], [Fl_StartZeit], [Fl_Ankunftszeit]) VALUES (@FL_FlugNr, @FL_Abflugort, @FL_Zielort, @FL_Datum, @FL_NichtRaucherFlug, @FL_Plaetze, @FL_FreiePlaetze, @FL_PI_MI_MitarbeiterNr, @FL_AnzahlStarts, @FL_EingerichtetAm, @Fl_StartZeit, @Fl_Ankunftszeit)"
            ProviderName="<%$ ConnectionStrings:CS_WWWings.ProviderName %>"
            SelectCommand="SELECT [FL_FlugNr], [FL_Abflugort], [FL_Zielort], [FL_Datum], [FL_NichtRaucherFlug], [FL_Plaetze], [FL_FreiePlaetze], [FL_PI_MI_MitarbeiterNr], [FL_AnzahlStarts], [FL_EingerichtetAm], [Fl_StartZeit], [Fl_Ankunftszeit] FROM [FL_Fluege] WHERE ([FL_Abflugort] = @FL_Abflugort)"
            UpdateCommand="UPDATE [FL_Fluege] SET [FL_Abflugort] = @FL_Abflugort, [FL_Zielort] = @FL_Zielort, [FL_Datum] = @FL_Datum, [FL_NichtRaucherFlug] = @FL_NichtRaucherFlug, [FL_Plaetze] = @FL_Plaetze, [FL_FreiePlaetze] = @FL_FreiePlaetze, [FL_PI_MI_MitarbeiterNr] = @FL_PI_MI_MitarbeiterNr, [FL_AnzahlStarts] = @FL_AnzahlStarts, [FL_EingerichtetAm] = @FL_EingerichtetAm, [Fl_StartZeit] = @Fl_StartZeit, [Fl_Ankunftszeit] = @Fl_Ankunftszeit WHERE [FL_FlugNr] = @FL_FlugNr">
            <InsertParameters>
                <asp:Parameter Name="FL_FlugNr" Type="Int32" />
                <asp:Parameter Name="FL_Abflugort" Type="String" />
                <asp:Parameter Name="FL_Zielort" Type="String" />
                <asp:Parameter Name="FL_Datum" Type="DateTime" />
                <asp:Parameter Name="FL_NichtRaucherFlug" Type="Boolean" />
                <asp:Parameter Name="FL_Plaetze" Type="Int16" />
                <asp:Parameter Name="FL_FreiePlaetze" Type="Int32" />
                <asp:Parameter Name="FL_PI_MI_MitarbeiterNr" Type="Int32" />
                <asp:Parameter Name="FL_AnzahlStarts" Type="Int32" />
                <asp:Parameter Name="FL_EingerichtetAm" Type="DateTime" />
                <asp:Parameter Name="Fl_StartZeit" Type="DateTime" />
                <asp:Parameter Name="Fl_Ankunftszeit" Type="DateTime" />
            </InsertParameters>
            <UpdateParameters>
                <asp:Parameter Name="FL_Abflugort" Type="String" />
                <asp:Parameter Name="FL_Zielort" Type="String" />
                <asp:Parameter Name="FL_Datum" Type="DateTime" />
                <asp:Parameter Name="FL_NichtRaucherFlug" Type="Boolean" />
                <asp:Parameter Name="FL_Plaetze" Type="Int16" />
                <asp:Parameter Name="FL_FreiePlaetze" Type="Int32" />
                <asp:Parameter Name="FL_PI_MI_MitarbeiterNr" Type="Int32" />
                <asp:Parameter Name="FL_AnzahlStarts" Type="Int32" />
                <asp:Parameter Name="FL_EingerichtetAm" Type="DateTime" />
                <asp:Parameter Name="Fl_StartZeit" Type="DateTime" />
                <asp:Parameter Name="Fl_Ankunftszeit" Type="DateTime" />
                <asp:Parameter Name="FL_FlugNr" Type="Int32" />
            </UpdateParameters>
            <DeleteParameters>
                <asp:Parameter Name="FL_FlugNr" Type="Int32" />
            </DeleteParameters>
            <SelectParameters>
                <asp:ControlParameter ControlID="DropDownList1" Name="FL_Abflugort" PropertyName="SelectedValue"
                    Type="String" />
            </SelectParameters>
        </asp:SqlDataSource>
    <asp:SqlDataSource ID="SqlDataSource3" runat="server"></asp:SqlDataSource>
 </div>
<div id="leftColumn">
<div id="navLeft">
	<asp:TreeView ID="TreeView1" runat="server" ExpandDepth="1" ImageSet="XPFileExplorer"
            NodeIndent="15" OnTreeNodePopulate="TreeView1_TreeNodePopulate" OnSelectedNodeChanged="TreeView1_SelectedNodeChanged">
            <ParentNodeStyle Font-Bold="False" />
            <HoverNodeStyle Font-Underline="True" ForeColor="#6666AA" />
            <SelectedNodeStyle Font-Underline="False" HorizontalPadding="0px"
                VerticalPadding="0px" BackColor="#B5B5B5" />
            <NodeStyle Font-Names="Tahoma" Font-Size="8pt" ForeColor="Black" HorizontalPadding="2px"
                NodeSpacing="0px" VerticalPadding="2px" />
        </asp:TreeView>
</div> 
</div>

<div id="header">
	<div id="headerleft"></div>
	<div id="headerright"></div>
</div>    
    
    </form>
</body>
</html>
