﻿<%@ Page Language="VB" MasterPageFile="~/Master/WWWings.master" AutoEventWireup="false" CodeFile="Default.aspx.vb" Inherits="Fluege_Default" title="Untitled Page" %>
<asp:Content ID="Content1" ContentPlaceHolderID="P_MainContent" Runat="Server">
 <br />
 Von hier aus können Sie ganz viele verschiedene Implementierungen der Anzeige der
 Flüge erreichen.<br />
 <br />
 <asp:LinkButton ID="C_Init" runat="server">Initialisieren der Flugtabelle</asp:LinkButton>
&nbsp;(löschen und neu befüllen mit Testdaten)<br />
 <br />
 <strong>1.
 RAD-Lösungen ("Schnell, ohne Code")<br />
 </strong>
 <br />
 SDS = SQL Data Source für Zugriff auf Microsoft SQL Server u.a.<br />
 ADS = Access Data Source für den Zugriff auf Microsoft Access<br />
 <br />
 <a href="RAD/Fluege_SDS_einfach.aspx">RAD/Fluege_SDS_einfach.aspx</a>
 GridView mit Sortieren, Blättern, Editieren und Löschen<br />
 <a href="RAD/Fluege_SDS_Scroll.aspx">RAD/Fluege_SDS_Scroll.aspx</a>
 GridView nur zum Lesen mit Scrollbalken für Tabelle<br />
 <a href="RAD/Fluege_SDS_Filter.aspx">RAD/Fluege_SDS_Filter.aspx</a>
 GridView mit Filter durch DropDownList sowie Pager oben statt unten<br />
 <a href="RAD/Fluege_ADS.aspx">RAD/Fluege_ADS.aspx</a> GridView
 mit Filter durch DropDownList (hier für MS Access)<br />
 <a href="RAD/Fluege_SDS_Details.aspx">RAD/Fluege_SDS_Details.aspx</a>
 GridView mit DetailsView<br />
 <a href="RAD/Fluege_Repeater.aspx">RAD/Fluege_Repeater.aspx</a>
 Ausgabe der Flugdaten durch Repeater-Steuerelement<br />
 <a href="RAD/Fluege_SDS_Filter_ComboBox.aspx">RAD/Fluege_SDS_Filter_ComboBox.aspx</a>
 Einsatz einer DropDownList und eines Combobox-User Controls im Editormodus<br />
 <br />
 GridView mit Zwischenspeicherung (Caching) und SqlDependency:<br />
 <b>HINWEIS: Diese Beispiele setzen voraus, dass <br />
 a) Der SQL Server Service Broker gestartet ist<br />
 b) In der global.asax-Datei die Zeile System.Data.SqlClient.SqlDependency.Start() nicht mehr auskommentiert ist.<br /></b>
 <a href="RAD/Fluege_SDS_Caching_Daten_SQL2005.aspx">RAD/Fluege_SDS_Caching_Daten_SQL2005.aspx</a>
 auf Datenebene, für SQL Server 2005/2008<br />
 <a href="RAD/Fluege_SDS_Caching_Seite_SQL2005.aspx">RAD/Fluege_SDS_Caching_Seite_SQL2005.aspx</a>
 auf Seitenebene, für SQL Server 20052008<a href="RAD/Fluege_SDS_Caching_Seite_SQL2000.aspx"><br />
  ./Fluege/RAD/Fluege_SDS_Caching_Seite_SQL2000.aspx</a> auf Seitenebene, für SQL
 Server 2000<br />
 <br />
 <strong>2. Mehrschichtige Lösungen ("mit Code")</strong><br />
 <br />
 ODS = ObjectDataSource<br />
 <br />
 2a. GridView mit ObjectDataSource, die Typed DataSet verwendet:<br />
 <a href="ODS_TDS/Fluege_ODS_TDS.aspx">ODS_TDS/Fluege_ODS_TDS.aspx</a>&nbsp;<br />
 <br />
 2b. GridView mit ObjectDataSource, die Datenzugriffsobjekte nutzt:
 <br />
 <a href="ODS_DAL/Fluege_ODS_DAL_Einfach.aspx">ODS_DAL/Fluege_ODS_DAL_Einfach.aspx</a>
 GridView,: Anpasssung des GridView durch Ereignisse<br />
 <a href="ODS_DAL/Fluege_ODS_DAL_Custom%20Paging.aspx">ODS_DAL/Fluege_ODS_DAL_Custom
  Paging.aspx</a> GridView, Custom Paging<br />
 <a href="ODS_DAL/Fluege_ODS_DAL_Filter.aspx">ODS_DAL/Fluege_ODS_DAL_Filter.aspx</a>&nbsp;
 GridView, Filter durch DropDownList<br />
 <a href="ODS_DAL/Fluege_ODS_DAL_FormView.aspx">Fluege_ODS_DAL_FormView.aspx</a>: 
 FormView<br />
 <br />
 2c. GridView mit ObjectDataSource, die Geschäftsobjekte nutzt:<br />
 <a href="ODS_BO/Fluege_ODS_BO1_Paging.aspx">ODS_BO/Fluege_ODS_BO1_Paging.aspx</a>
 GridView, nur lesen und Blättern<br />
 <a href="ODS_BO/Fluege_ODS_BO2_Standard.aspx">ODS_BO/Fluege_ODS_BO2_Standard.aspx</a>:
 GridView, Blättern, Ändern, Löschen<br />
 <a href="ODS_BO/Fluege_ODS_BO3_Filter.aspx">ODS_BO/Fluege_ODS_BO3_Filter.aspx</a>
 GridView mit Filter durch DropDownList, Ändern und Löschen aber ohne Sortieren und
 Blättern<br />
 <a href="ODS_BO/Fluege_ODS_BO4_Alles.aspx">ODS_BO/Fluege_ODS_BO4_Alles.aspx</a>
 GridView mit Filter und Blättern, Sortieren, Ändern, Löschen<br />
 <br />
 2d. GridView mit ObjectDataSource, die Geschäftsobjekte nutzt, die LINQ-to-SQL 
 (oder Entity Framework) nutzen<br />
 <a href="ODS_BO/Fluege_ODS_BO5_LTS_Filter.aspx">Fluege_ODS_BO5_LTS_Filter.aspx</a><br />
 <br />
 3. GridView mit LinqDataSource<br />
 <a href="LDS/Fluege_LDS.aspx">Fluege_LDS.aspx</a>: Gridview mit Filter<br />
 <a href="LDS/Fluege_LDS_ListView.aspx">Fluege_LDS_ListView.aspx</a>: 
 ListView mit Filter<br />
 <br />
  4. GridView mit EntityDataSource<br />
 <a href="EDS/Fluege_EDS.aspx">Fluege_EDS.aspx</a>: Gridview mit Filter<br />
</asp:Content>

