﻿<%@ Page Language="C#" AutoEventWireup="true" Trace="false" CodeFile="Fluege_LDS.aspx.cs"
 Inherits="Fluege_ODS4" MasterPageFile="~/Master/WWWings.master" %>


<asp:Content ID=P1 runat=server ContentPlaceHolderID=P_MainContent>
  <div>
   <span style="font-size: 14pt;
    font-family: Arial;">Flugplanverwaltung mit Filtern, Blättern, Sortieren, Ändern
    und Löschen<br />
    <br />
   </span>Abflughafen:
   <asp:DropDownList ID="C_Abflughafen" runat="server" AutoPostBack="True" 
    DataSourceID="LDS_Orte" DataTextField="Abflugort" DataValueField="Abflugort">
   </asp:DropDownList>
   <asp:LinqDataSource ID="LDS_Orte" runat="server" 
    ContextTypeName="de.WWWings.GO.WWWings6Entities" GroupBy="Abflugort" 
    OrderGroupsBy="key" Select="new (key as Abflugort, it as Flug)" 
    TableName="Flug">
   </asp:LinqDataSource>
   <br />
   <asp:GridView ID="C_GridFluege" runat="server" AllowPaging="True" AllowSorting="True"
    DataKeyNames="FlugNr" DataSourceID="LDS_Fluege" BackColor="White" BorderColor="#E7E7FF"
    BorderWidth="1px" CellPadding="3" GridLines="Horizontal" AutoGenerateColumns="False"
    Width="100%" BorderStyle="None">
    <Columns>
     <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" 
      ShowSelectButton="True" />
     <asp:BoundField
      DataField="FlugNr" SortExpression="FL_FlugNr" HeaderText="FlugNr" >
      <ItemStyle HorizontalAlign="Left" />
      <HeaderStyle HorizontalAlign="Left" />
     </asp:BoundField>
     <asp:BoundField DataField="Abflugort" HeaderText="Abflugort" SortExpression="FL_Abflugort" >
      <ItemStyle HorizontalAlign="Left" />
      <HeaderStyle HorizontalAlign="Left" />
     </asp:BoundField>
     <asp:BoundField
      DataField="Zielort" HeaderText="Zielort" SortExpression="FL_Zielort" >
      <ItemStyle HorizontalAlign="Left" />
      <HeaderStyle HorizontalAlign="Left" />
     </asp:BoundField>
     <asp:BoundField
      DataField="Plaetze" SortExpression="FL_Plaetze" HeaderText="Plaetze" >
      <ItemStyle HorizontalAlign="Right" />
      <HeaderStyle HorizontalAlign="Right" />
     </asp:BoundField>
     <asp:BoundField
      DataField="FreiePlaetze" HeaderText="FreiePlaetze" SortExpression="FL_FreiePlaetze" >
      <ItemStyle HorizontalAlign="Right" />
      <HeaderStyle HorizontalAlign="Right" />
     </asp:BoundField>
     <asp:BoundField DataField="Auslastung" DataFormatString="{0:##.00%}" 
      HeaderText="Auslastung" ReadOnly="True" SortExpression="Auslastung">
      <ItemStyle HorizontalAlign="Right" />
     </asp:BoundField>
    </Columns>
    <FooterStyle BackColor="#B5C7DE" ForeColor="#4A3C8C" />
    <SelectedRowStyle BackColor="#738A9C" ForeColor="#F7F7F7" Font-Bold="True" />
    <PagerStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" HorizontalAlign="Right" />
    <HeaderStyle BackColor="#4A3C8C" Font-Bold="True" ForeColor="#F7F7F7" />
    <AlternatingRowStyle BackColor="#F7F7F7" />
    <RowStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" />
   </asp:GridView>
   <asp:LinqDataSource ID="LDS_Fluege" runat="server" 
    ContextTypeName="de.WWWings.GO.WWWings6Entities" EnableDelete="True" 
    EnableInsert="True" EnableUpdate="True" TableName="Flug" OrderBy="it.FlugNr"
    Where="Abflugort == @Abflugort">
    <WhereParameters>
     <asp:ControlParameter ControlID="C_Abflughafen" Name="Abflugort" 
      PropertyName="SelectedValue"   Type="String" />
    </WhereParameters>
   </asp:LinqDataSource>
  </div>
</asp:Content>
