<%@ Page Language="C#" MasterPageFile="~/Master/WWWings.master" AutoEventWireup="true" Title="Flugplan" %>

<script runat="server">

 void C_Flug_RowCommand(object sender, GridViewCommandEventArgs e)
 {
  if (e.CommandName == "Select")
  {
   int zeilennr = Convert.ToInt32(e.CommandArgument);
  Response.Redirect("Flugdetails_SDS.aspx?FlugNr=" + this.C_Flug.DataKeys[zeilennr].Value.ToString());

  // oder z.B.:
   int zeilennr2 = Convert.ToInt32(e.CommandArgument);
   GridViewRow r = this.C_Flug.Rows[zeilennr2];
   string InhaltSpalte2 = r.Cells[1].Text;
   Response.Write(InhaltSpalte2);
   
  }
 }
</script>

<asp:Content ID="Content1" ContentPlaceHolderID="P_MainContent" Runat="Server">
    <div>

     Auswahl des Abflugortes:
     <asp:DropDownList AutoPostBack="True" DataSourceID="DS_Abflugorte" DataTextField="Abflugort"
      DataValueField="Abflugort" ID="DropDownList1" runat="server">
     </asp:DropDownList><asp:AccessDataSource DataFile="~/App_Data/WWWingsVersion6.accdb"
      ID="DS_Abflugorte" runat="server" SelectCommand="SELECT DISTINCT [Abflugort] FROM [Flug]">
     </asp:AccessDataSource>
     <br />     <br />
     <asp:GridView 
      AutoGenerateColumns="False"
      BackColor="White" BorderColor="#E7E7FF" BorderStyle="None" BorderWidth="1px" CellPadding="3"
      DataKeyNames="FlugNr" DataSourceID="AccessDataSource1" EmptyDataText="There are no data records to display."
      GridLines="Horizontal" ID="C_Flug" runat="server" OnRowCommand="C_Flug_RowCommand">
      <FooterStyle BackColor="#B5C7DE" ForeColor="#4A3C8C" />
      <Columns>
       <asp:BoundField DataField="Datum" DataFormatString="{0:d}" HeaderText="Datum" SortExpression="Datum" HtmlEncode="False">
       </asp:BoundField>
       <asp:BoundField DataField="FlugNr" HeaderText="FlugNr" ReadOnly="True" SortExpression="FlugNr">
       </asp:BoundField>
       <asp:BoundField DataField="Abflugort" HeaderText="Abflugort" SortExpression="Abflugort">
       </asp:BoundField>
       <asp:BoundField DataField="ZielOrt" HeaderText="Zielort" SortExpression="ZielOrt">
       </asp:BoundField>
       <asp:CheckBoxField DataField="NichtRaucherFlug" HeaderText="NichtRaucherFlug"
        SortExpression="NichtRaucherFlug"></asp:CheckBoxField>
       <asp:BoundField DataField="Freieplaetze" HeaderText="Freieplaetze" SortExpression="Freieplaetze">
       </asp:BoundField>
              <asp:CommandField  SelectText="Details" ShowSelectButton="True"></asp:CommandField>
      </Columns>
      <RowStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" />
      <PagerStyle BackColor="#E7E7FF" ForeColor="#4A3C8C" HorizontalAlign="Left" />
      <SelectedRowStyle BackColor="#738A9C" Font-Bold="True" ForeColor="#F7F7F7" />
      <HeaderStyle BackColor="#4A3C8C" Font-Bold="True" ForeColor="#F7F7F7" />
      <AlternatingRowStyle BackColor="#F7F7F7" />
     </asp:GridView>
     <asp:AccessDataSource DataFile="~/App_Data/WWWingsVersion6.accdb"
      ID="AccessDataSource1"
      runat="server" SelectCommand="SELECT * FROM [Flug] WHERE ([Abflugort] LIKE '%' + ? + '%')">
      <SelectParameters>
       <asp:ControlParameter ControlID="DropDownList1" DefaultValue="%" Name="Abflugort"
        PropertyName="SelectedValue" Type="String" />
      </SelectParameters>
     </asp:AccessDataSource>
    
    </div>
 </asp:content>
