﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Flugplan_Filter_DataView_WCF.aspx.cs"
 Inherits="Flugplan_DataViewCoding" MasterPageFile="Master/WWWings.Einfach.master" %>

<asp:Content ID="P1" ContentPlaceHolderID="P_Head" runat="server">
 <style type="text/css">
  .sys-template
  {
   display: none;
   visibility: hidden;
  }
 </style>
 <style type="text/css">
  .sys-template
  {
   visibility: hidden;
  }
  .myselected
  {
   color: white;
   font-weight: bold;
   background-color: Silver;
  }
 </style>

 <script type="text/javascript">
  // ============== Globale Variablen
  var Tabelle, Daten;

  // Parameter für WCF-Dienst
  var Parameter = { Ort: "test" }

  // Datenkontext für WCF-Dienst
  var dataContext = $create(
            Sys.Data.DataContext,
            {
             serviceUri: "/Webservice/FlugplanService_WCFAJAX.svc",
             saveOperation: "SaveImages"
            }
        );

  // ============== Initialisierung bei Seitenstart
  function pageLoad() {
   Tabelle = $find("C_Fluege");
   Tabelle.add_fetchFailed(Fehler);
  }

  // ============== Fehlerfall
  function Fehler(sender, error) {
   ///<summary>Zeigt den Fehler anstelle der Tabelle an</summary>
   ///<param name="error" type="Error Object">Fehlerinformation</param>
   ///<returns>string</returns>
   var text = "Fehler bei der AJAX-Verarbeitung auf dem Server: " + error.get_error().get_message();
   alert(text);
  }

  // ============== Daten neu abrufen
  function StartLaden(sender, args) {
   Parameter.Ort = $get("C_Orte").value;

   Tabelle.fetchData();
   $get("C_Fluege_Label").innerText = "Flüge von " + $get("C_Orte").value + ":";
  }

  // ============== Daten an Tabelle übergeben
  function EndeLaden(sender, args) {
   Tabelle = sender;
   Daten = args.get_data();
   Sys.Observer.makeObservable(Daten);
  }
 </script>

</asp:Content>
<asp:Content ID="P2" ContentPlaceHolderID="P_MainContent" runat="server">
 <div>
  <p>
   Abflugort:
   <select id="C_Orte" name="D1" onchange="StartLaden();">
    <option value="">Bitte wählen</option>
    <option value="Rom">Rom</option>
    <option value="Paris">Paris</option>
    <option value="London">London</option>
    <option value="Berlin">Berlin</option>
   </select><br />
  </p>
  <hr />
  <div id="C_Fluege_Label">
   Flüge:</div>
  <div>
   <table border="0" id="C_Fluege" class="sys-template" 
   sys:attach="dataview" dataview:autofetch="true"
    dataview:dataprovider="{{ dataContext }}" 
    dataview:fetchoperation="GetFluegeByOrt35"
    dataview:fetchparameters="{{ Parameter }}" 
    dataview:selecteditemclass="selecteditem"
    dataview:ondataloading="{{ EndeLaden }}" 
    dataview:initialselectedindex="0" 
    dataview:sys-key="master">
    <tr style="background-color: #F7F7F7" code:if="$index%2 == 0" />
    <td>
     {{ $index}}
    </td>
    <td>
     {{ FlugNr }}
    </td>
    <td>
     {{ Abflugort }}
    </td>
    <td>
     {{ Zielort }}
    </td>
    <td>
     {{ Datum }}
    </td>
    <td>
     {{ FreiePlaetze }}
    </td>
    </tr>
    <tr style="background-color: #E7E7FF" code:if="$index%2 == 1" />
    <td>
     {{ $index }}
    </td>
    <td>
     {{ FlugNr }}
    </td>
    <td>
     {{ Abflugort }}
    </td>
    <td>
     {{ Zielort }}
    </td>
    <td>
     {{ Datum }}
    </td>
    <td>
     {{ FreiePlaetze }}
    </td>
    </tr>
   </table>
   <%-- <ul id="C_Fluege" >
      <li>von {{ FL_Abflugort }}</li>
    </ul>--%>
  </div>
 </div>
</asp:Content>
