﻿<%@ Page Language="C#" AutoEventWireup="true" Codefile="Koordinatenanzeige.aspx.cs" Inherits="KoordinatenBeispiel" MasterPageFile="~/Master/WWWings.master" Title="Koordinatenanzeige in Virtual Earth" %>
<asp:Content ID="Content1" runat="server" ContentPlaceHolderID="P_MainContent">
  <script type="text/javascript" 
    src="http://dev.virtualearth.net/mapcontrol/mapcontrol.ashx?v=6">
  </script>

  <script type="text/javascript">
      var map;
      
      function pageLoad(sender, e)
      {
        // Karte im div-Bereich initialisieren
        map = new VEMap('myMap');
        
        // Kartenmitte und -zoomfaktor einstellen
        map.LoadMap(new VELatLong(51, 7), 10);
        
        // Mausbewegungen überwachen
        map.AttachEvent("onmousemove", onMouseMove);
      }

      function onMouseMove(e)
      {
        // Koordinaten des Mauszeigers ermitteln
        var latlon = map.PixelToLatLong(new VEPixel(e.mapX, e.mapY));
        
        // Info im Fenster ausgeben
        $get("Label1").innerHTML = "Koordinaten: <br/>" + latlon;
      }
  </script>

</head>
<body>

 <asp:ScriptManager ID="ScriptManager1" runat="server">
  </asp:ScriptManager>
  <b>HINWEIS: Dieses Beispiel basiert auf Virtual Earth und läuft nur im Internet Explorer korrekt!</b>

  <div id='myMap' style="width: 600px; height: 600px;">
  </div>
  
  <div  style="width: 600px; height: 60px; 
     background-color:Silver; font-size:large">
 <span ID="Label1"></span>
  </div>
  </body>
</asp:Content>