using System;
using System.Collections.Generic;
using System.Text;

namespace de.WWWings.MiscDemos
{
 public class DemoRunner
 {
  public static void RunDemosInDemoViewer()
  {
   new de.ITVisions.DemoViewer.Viewer(System.Reflection.Assembly.GetExecutingAssembly());
  }

  public static void RunDemosInDemoViewerAsMainWindow()
  {
   new de.ITVisions.DemoViewer.Viewer(System.Reflection.Assembly.GetExecutingAssembly(), true);
  }

  public static void RunDemosInDemoWebViewer()
  {
   new de.ITVisions.DemoViewer.WebViewer(System.Reflection.Assembly.GetExecutingAssembly());
  }
 }

 class DemoConfig
 {

  public static string CONNSTRING
  {
   get
   {
    //return @"Data Source=wetter;Initial Catalog=WORLDWIDEWINGS;Integrated Security=True";
    string CS = System.Configuration.ConfigurationManager.ConnectionStrings["CS_WWWings"].ConnectionString;

    // hart-codiert zu Testzwecken!!!
    if (CS == "") CS = @"Data Source=.\sqlexpress;Initial Catalog=WWWings4;Persist Security Info=True;Integrated Security=true;MultipleActiveResultSets=true;";

    return CS;

   }
  }
 }
}
