﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Diagnostics.Contracts;

namespace NET4_GL.Code_Contracts
{
  public class Apartment
  {
    [ContractPublicPropertyName("Rent")]
    private int rent;

    public int Rent
    {
      get
      {
       Contract.Ensures(Contract.Result<int>() > 0);
        return rent;
      }
    }

    [ContractInvariantMethod()]
    private void InvariantMethod()
    {
     Contract.Invariant(rent > 0);
    }

    public Apartment(int miete)
    {
    Contract.Requires(miete > 0);
      this.rent = miete;
    }
  }

}
