﻿using System;
using System.Threading.Tasks;

public partial class Async_AsyncPage : System.Web.UI.Page
{

 protected async void Button1_Click(object sender, EventArgs e)
 {

  this.C_Status.Text += DateTime.Now.ToLongTimeString() + ": Start (Thread=" + System.Threading.Thread.CurrentThread.ManagedThreadId.ToString() + ")<br>";

  for (int i = 1; i <= 10; i++)
  {
   System.Threading.Thread.Sleep(100);
   await Log(i + ": " + System.Threading.Thread.CurrentThread.ManagedThreadId.ToString());
   this.C_Status.Text += DateTime.Now.ToLongTimeString() + ": Schritt # " + i + " (Thread=" + System.Threading.Thread.CurrentThread.ManagedThreadId.ToString() + ")<br>";
  }


  this.C_Status.Text += DateTime.Now.ToLongTimeString() + ": Fertig (Thread=" + System.Threading.Thread.CurrentThread.ManagedThreadId.ToString() + ")<br>";
 }

 protected async Task<bool> Log(string s)
 {
  this.C_Status.Text += DateTime.Now.ToLongTimeString() + ": Log: " + s + " (Thread=" + System.Threading.Thread.CurrentThread.ManagedThreadId.ToString() + ")<br>";
  var datei = new System.IO.StreamWriter(Server.MapPath("~/App_Data/log/Protokoll1.txt"), true);
  await datei.WriteAsync(s);
  this.C_Status.Text += DateTime.Now.ToLongTimeString() + ": Log: " + s + " (Thread=" + System.Threading.Thread.CurrentThread.ManagedThreadId.ToString() + ")<br>";
  datei.Close();
  return true;
 }


}