﻿<%@ Page Language="C#" AutoEventWireup="true" MasterPageFile="~/WWWings.Einfach.master" %>

<asp:Content runat="server" ContentPlaceHolderID="P_MainContent">
    <style type="text/css">
        body {
            font-family: "Segoe UI";
            font-size: 12px;
        }
        form {
            margin-bottom: 10px;
            display: block;
        }
        label {
            display: block;
        }

        </style>
    <script src="../Scripts/jquery-1.4.1-vsdoc.js" type="text/javascript"></script>

    <script>

        

        function setupWebSocketConnection() {
            if (!window.WebSocket && window.MozWebSocket) { 
                window.WebSocket = window.MozWebSocket; 
            }

            var url = 'ws://localhost:99/echo';


            var websocket = new WebSocket(url);

            websocket.onopen = function () {
            };

            websocket.onclose = function () {
            };

            websocket.onmessage = function (event) {
                $("<li/>").html(event.data).appendTo("#messages");
            };

            return websocket;
        }


        $(function () {
            var websocket = setupWebSocketConnection();
        
            $("#btnSend").click(function () {
                alert("Sende");
                var message = $("#txtMessage").val();
                websocket.send(message);
            });
        });



    </script>
    <div>
        <h2>Chat (einfache Nachricht / Server ist WCF-Dienst</h2>
    <input id="txtMessage" />
    <input type="button" id="btnSend" value="Senden" />

    <ul id="messages"></ul>
      </div>
</asp:Content>
