﻿CREATE PROCEDURE [dbo].[DeleteFlug]
(
	@Original_FlugNr int,
	@Original_Abflugort nvarchar(20),
	@Original_Zielort nvarchar(20),
	@Original_Datum datetime,
	@Original_NichtRaucherFlug bit,
	@Original_Plaetze smallint,
	@IsNull_FreiePlaetze Int,
	@Original_FreiePlaetze smallint,
	@IsNull_Pilot_PersonID Int,
	@Original_Pilot_PersonID int,
	@IsNull_Ankunft Int,
	@Original_Ankunft datetime
)
AS
	SET NOCOUNT OFF;
DELETE FROM [Flug] WHERE (([FlugNr] = @Original_FlugNr) AND ([Abflugort] = @Original_Abflugort) AND ([Zielort] = @Original_Zielort) AND ([Datum] = @Original_Datum) AND ([NichtRaucherFlug] = @Original_NichtRaucherFlug) AND ([Plaetze] = @Original_Plaetze) AND ((@IsNull_FreiePlaetze = 1 AND [FreiePlaetze] IS NULL) OR ([FreiePlaetze] = @Original_FreiePlaetze)) AND ((@IsNull_Pilot_PersonID = 1 AND [Pilot_PersonID] IS NULL) OR ([Pilot_PersonID] = @Original_Pilot_PersonID)) AND ((@IsNull_Ankunft = 1 AND [Ankunft] IS NULL) OR ([Ankunft] = @Original_Ankunft)))
