﻿CREATE PROCEDURE [dbo].[UpdateFlug]
(
	@FlugNr int,
	@Abflugort nvarchar(20),
	@Zielort nvarchar(20),
	@Datum datetime,
	@NichtRaucherFlug bit,
	@Plaetze smallint,
	@FreiePlaetze smallint,
	@Pilot_PersonID int,
	@Ankunft datetime,
	@Memo text,
	@Original_FlugNr int,
	@Original_Abflugort nvarchar(20),
	@Original_Zielort nvarchar(20),
	@Original_Datum datetime,
	@Original_NichtRaucherFlug bit,
	@Original_Plaetze smallint,
	@Original_FreiePlaetze smallint,
	@Original_Pilot_PersonID int,
	@Original_Ankunft datetime
)
AS
	SET NOCOUNT OFF;
UPDATE [Flug] SET [FlugNr] = @FlugNr, [Abflugort] = @Abflugort, [Zielort] = @Zielort, [Datum] = @Datum, [NichtRaucherFlug] = @NichtRaucherFlug, [Plaetze] = @Plaetze, [FreiePlaetze] = @FreiePlaetze, [Pilot_PersonID] = @Pilot_PersonID, [Ankunft] = @Ankunft, [Memo] = @Memo 
WHERE ([FlugNr] = @Original_FlugNr) 
AND ([Abflugort] = @Original_Abflugort) 
AND ([Zielort] = @Original_Zielort) 
AND ([Datum] = @Original_Datum) 
AND ([NichtRaucherFlug] = @Original_NichtRaucherFlug) 
AND ([Plaetze] = @Original_Plaetze) 
AND ([FreiePlaetze] = @Original_FreiePlaetze) 
AND ([Pilot_PersonID] = @Original_Pilot_PersonID) 
AND ([Ankunft] = @Original_Ankunft);
	
SELECT FlugNr, Abflugort, Zielort, Datum, NichtRaucherFlug, Plaetze, FreiePlaetze, Pilot_PersonID, Ankunft, Memo FROM Flug WHERE (FlugNr = @FlugNr)
