﻿CREATE TABLE [dbo].[Flug] (
    [FlugNr]           INT           NOT NULL,
    [Abflugort]        NVARCHAR (20) NOT NULL,
    [Zielort]          NVARCHAR (20) NOT NULL,
    [Datum]            DATETIME      NOT NULL,
    [NichtRaucherFlug] BIT           NOT NULL,
    [Plaetze]          SMALLINT      NOT NULL,
    [FreiePlaetze]     SMALLINT      NULL,
    [Pilot_PersonID]   INT           NULL,
    [Ankunft]          DATETIME      NULL,
    [Memo]             VARCHAR (MAX) NULL,
    [test]             NCHAR (10)    NULL,
    [test1] NCHAR(10) NULL, 
    CONSTRAINT [PK_Flug] PRIMARY KEY CLUSTERED ([FlugNr] ASC),
    CONSTRAINT [FK_FL_Flug_PI_Pilot] FOREIGN KEY ([Pilot_PersonID]) REFERENCES [dbo].[Pilot] ([PersonID]) ON DELETE NO ACTION ON UPDATE NO ACTION
);

