﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using de.WWWings.GO;

namespace de.WWWings.GL
{

 /// <summary>
 /// Verwalten von Buchungen
 /// </summary>
 public partial class BuchungsManager
 {



  /// <summary>
  /// Entfernen einer Buchung
  /// </summary>
  public bool BuchungenLoeschen(int FlugNr, int PersonID)
  {
   Flug f = modell.Flug.Include("Passagier").Where(x => x.FlugNr == FlugNr).SingleOrDefault();
   if (f == null) return false;
   Passagier p = modell.Person.OfType<Passagier>().Where(x => x.PersonID == PersonID).SingleOrDefault();
   if (p == null) return false;

   if (!f.Passagier.Contains(p)) return false;

   f.Passagier.Remove(p);
   modell.SaveChanges();
   return true;
   }

 }
}
