﻿using System;
namespace de.WWWings.GL
{
 public interface IFlugBLManager
 {
  long CountFluege();
  long CountFluegeRoute(string Abflugort, string Zielort);
  long CountFluegeVonOrt(string Ort);
  void Dispose();
  System.Collections.Generic.List<de.WWWings.GO.Flug> GetFluege();
  System.Collections.Generic.List<de.WWWings.GO.Flug> GetFluege_Paging(string Sortierung, int Anzahl, int Start);
  System.Collections.Generic.List<de.WWWings.GO.Flug> GetFluegeRoute(string Abflugort, string Zielort);
  System.Collections.Generic.List<de.WWWings.GO.Flug> GetFluegeRoute_Paging(string Abflugort, string Zielort, string Sortierung, int Anzahl, int Start);
  System.Collections.Generic.List<de.WWWings.GO.Flug> GetFluegeRouteZeitraum(string Abflugort, string Zielort, DateTime ZeitraumStart, DateTime ZeitraumEnde);
  System.Collections.Generic.List<de.WWWings.GO.Flug> GetFluegeVonOrt(string Ort);
  System.Collections.Generic.List<de.WWWings.GO.Flug> GetFluegeVonOrt_Paging(string Ort, string Sortierung, int Anzahl, int Start);
  System.Collections.Generic.List<de.WWWings.GO.Flug> GetFluegeZeitraum(DateTime ZeitraumStart, DateTime ZeitraumEnde);
  de.WWWings.GO.Flug GetFlug(long Nr);
  bool MarkFlugForAdding(de.WWWings.GO.Flug flug);
  bool MarkFlugForDeletion(de.WWWings.GO.Flug flug);
  string SaveFluege();
  bool SaveFlug(de.WWWings.GO.Flug flug);
 }
}
