﻿using System;

namespace Konsole45.CLR45
{
 class Versionscheck
 {

  public static bool IsDotNet45()
  {
   return Environment.Version.Major == 4 &&
          Environment.Version.Revision > 17000;
  }
  
  public static bool SupportsProfileOptimization()
  {
   // Die Klasse "System.Runtime.ProfileOptimization" exists rest ab .NET 4.5 
   return Type.GetType("System.Runtime.ProfileOptimization", false) != null;
  }
 }
}
