﻿using System;
using System.Runtime.ExceptionServices;

namespace Konsole45.FCL
{
 class ExceptionDispatchInfoDemo
 {
  public void Run1()
  {
   try
   {
    Console.WriteLine("Run1()");
    Run2();
    // ...
   }
   catch (Exception ex)
   {
    PrintError(ex);
   }
  }

  public void Run2()
  {
   try
   {
    Console.WriteLine("Run2()");
    if (1 == 1) throw new ApplicationException("Hier passiert ein Fehler!");
    // ...
   }
   catch (Exception ex)
   {
    //throw ex;
    var edi = ExceptionDispatchInfo.Capture(ex);
    edi.Throw();
   }
  }

  public void PrintError(Exception ex)
  {
   Console.ForegroundColor = ConsoleColor.Red;
   Console.WriteLine(ex.ToString());
   Console.ForegroundColor = ConsoleColor.Gray;
  }
 }
}
