﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Text.RegularExpressions;
using System.Threading.Tasks;

namespace Konsole45.FCL
{
 class RADemo
 {

  public static void run()
  {
   const String EINGABE = @"08/01/1972";
   const string MUSTER = @"\b(?<month>\d{1,2})/(?<day>\d{1,2})/(?<year>\d{2,4})\b";
   const string ERSATZ = @"${day}-${month}-${year}";

   Console.WriteLine("Eingabe: " + EINGABE);
   Console.WriteLine("Eingabeprüfung (Timeout: 5 Sekunden)...");
   var pruefungsErgebnis = Regex.IsMatch(EINGABE, MUSTER, RegexOptions.None, new TimeSpan(0, 0, 5));
   Console.WriteLine("Ergebnis: " + pruefungsErgebnis);

   Console.WriteLine("Konvertierung (Timeout: 5 Sekunden)...");
   var konvertierungsErgebnis = Regex.Replace(EINGABE, MUSTER, ERSATZ, RegexOptions.None, new TimeSpan(0, 0, 5));
   Console.WriteLine("Ergebnis: " + konvertierungsErgebnis);
  }

 }
}
