﻿
Imports de.WWWings.GO
Imports System.Data.Spatial

Public Class EFDemos


    Public Shared Sub Demo_GeoEnum()
  Dim modell As New WWWings6Entities()

        modell.ExecuteStoreCommand("delete from Flughafen")
        Dim f = New Flughafen()

        f.Name = "Essen " & DateTime.Now.ToString()
        f.Typ = Flughafentypen.Regionalflughafen
        f.Position = DbGeography.FromText("POINT(51.4023 6.9373)")

        ' Setzen eines WGS84-Punktes
        ' Essen: Latitude: 51.4023 Longitude: 6.9373
        ' f.Position = DbGeography.FromText("POINT(51.4023 6.9373)");

        ' Graz: 47.066667°, 15.433333°
        ' f.Position = DbGeography.FromText("POINT(51.4023 6.9373)");

        ' Haibach
        '  48.409722°, 13.916389°
        ' f.Position = DbGeography.FromText("POINT(48.409722 13.916389)")

        modell.Flughafen.AddObject(f)
        modell.SaveChanges()


        Dim q = modell.Flughafen
        Console.WriteLine("Anzahl: " & q.Count())
        For Each fh As Flughafen In q.ToList()
            Console.WriteLine(((fh.Name & " (" & fh.Typ & ") :") & fh.Position.Latitude & " / ") & fh.Position.Longitude)
        Next

    End Sub


    Public Shared Sub Demo_TVF()
        Dim modell As New WWWings6Entities()

        ' SP:
        Dim e = modell.GetFluegeVon("Paris")

        ' TVF:

        Dim fluege = From f In modell.GetFluegeVon("Rom") Where f.FreiePlaetze > 10.0F

        For Each f In fluege

            Console.WriteLine("Flug Nr {0} fliegt von {1} nach {2} und hat {3} freie Plätze", f.FlugNr, f.Abflugort, f.Zielort, f.FreiePlaetze)
        Next

    End Sub


End Class
