﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using OfficeWord_Vorlage.WWWingsDienste;


namespace OfficeWord_AddIn
{



 public partial class TaskPane_Fluege : UserControl
 {
  public TaskPane_Fluege()
  {
   InitializeComponent();
  }


  public event EventHandler<FluegeGeladenEventArgs> FluegeGeladen;



  private void C_FluegeAnzeigen_Click(object sender, EventArgs e)
  {
   string Abflugort = this.C_Flughaefen.Text;
   OfficeWord_Vorlage.WWWingsDienste.FlugplanServiceClient sv = new FlugplanServiceClient("Flugplanservice_" + this.C_Protokoll.Text);
   List<Flug> fluege = sv.HoleAlleRoute(Abflugort, "*");
   this.C_Ergebnis.Text = "Geladene Flüge: " + fluege.Count;

   if (FluegeGeladen != null)
   {
    FluegeGeladen(this, new FluegeGeladenEventArgs(Abflugort, fluege));
   }
  }
 }

 public class FluegeGeladenEventArgs : EventArgs
 {
  public string Abflugort;
  public List<Flug> Fluege;
  public FluegeGeladenEventArgs(string Abflugort, List<Flug> Fluege)
  {
   this.Abflugort = Abflugort;
   this.Fluege = Fluege;
  }
 }
}
