﻿Imports System.Linq
Module Module1

 Sub Main()

  Beispiel1()
  Beispiel2()
  Console.ReadLine()
 End Sub

 Public Sub Beispiel1()

  ' Datendefinition (=Datenquelle)
  Dim AlleMonate As String() = {"Januar", "Februar", "März", "April", "Mai", "Juni", "Juli", "August", "September", "Oktober", "November", "Dezember"}

  ' LINQ-Abfrage
  Dim Monate4 As IEnumerable(Of String) = From Monat In AlleMonate _
   Where Monat.Length = 4 _
   Order By Monat _
   Select Monat.Substring(0, 3)

  ' Nutzung des Abfrageergebnisses
  For Each Monat As String In Monate4
   Console.WriteLine(Monat)
  Next

 End Sub


 Public Sub Beispiel2()

  'LINQ-Abfrage
  Dim Prozesse = _
   From p In System.Diagnostics.Process.GetProcesses() _
   Where (p.WorkingSet64 < 700000) _
   Select New With {p.ProcessName, p.WorkingSet64}

  ' Nutzung des Abfrageergebnisses
  Dim Prozess
  For Each Prozess In Prozesse
   Console.WriteLine(Prozess.ProcessName & ": " & Prozess.WorkingSet64)
  Next

 End Sub

End Module
