﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Runtime.InteropServices;

namespace de.ITVisions
{
 public class Util
 {
  private static readonly int FlugNummerUpperBound = 9999;
  private static int FlugNumemrLowerBoud;
  private static int ANZ_Random = 1000;

  public static List<int> GetRandom()
  {
   List<int> Zahlen = new List<int>();
   System.Random r = new Random(System.DateTime.Now.Millisecond);

   for (int i = 0; i < ANZ_Random; i++)
   {
    FlugNumemrLowerBoud = 100;
    Zahlen.Add(r.Next(FlugNumemrLowerBoud, FlugNummerUpperBound));
   }

   return Zahlen;
  }


  [DllImport("kernel32.dll", ExactSpelling = true)]
  private static extern IntPtr GetConsoleWindow();

  private static IntPtr MyConsole = GetConsoleWindow();

  [DllImport("user32.dll", EntryPoint = "SetWindowPos")]
  public static extern IntPtr SetWindowPos(IntPtr hWnd, int hWndInsertAfter, int x, int Y, int cx, int cy, int wFlags);
  const int SWP_NOSIZE = 0x0001;
  public static bool ConsoleEnabled = true;

  public static void SetConsolePos(int xpos, int ypos)
  {
   try
   {
    SetWindowPos(MyConsole, 0, xpos, ypos, 0, 0, SWP_NOSIZE);
   }
   catch (Exception)
   {
    // Nicht schlimm, wenn es schiefgeht!
   }

  }
  public static void Print(string s, ConsoleColor c)
  {
   Console.ForegroundColor = c;
   Console.WriteLine(s);
   Console.ForegroundColor = ConsoleColor.Gray;
  }
  public static void Headline(string s)
  {
   Console.ForegroundColor = ConsoleColor.Yellow;
   Console.WriteLine(s);
   Console.ForegroundColor = ConsoleColor.Gray;
  }

  public static void HeaderFooter(string s)
  {
   Console.ForegroundColor = ConsoleColor.Green;
   Console.WriteLine(s);
   Console.ForegroundColor = ConsoleColor.Gray;
  }
 }
}
