﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ServiceModel.Discovery;

namespace de.WWWings.WCFClientDemos
{
 class DiscoveryDemo
 {
  private static void Discover_Demo()
  {
   //Console.WriteLine("Statischer Aufruf...");
   // statischer Aufruf
   //HalloWeltDienstProxy.ServiceClient client1 = new HalloWeltDienstProxy.ServiceClient();
   //Console.WriteLine(client1.GetData(10));

   //client1.Close();


   // Erforschung
   Console.WriteLine("DiscoveryClient...");
   DiscoveryClient discoveryClient = new DiscoveryClient(new UdpDiscoveryEndpoint());
   FindCriteria findCriteria = new FindCriteria(typeof(HalloWeltDienstProxy.IService));
   FindResponse findResponse = discoveryClient.Find(findCriteria);
   if (findResponse.Endpoints.Count > 0)
   {
    foreach (var fr in findResponse.Endpoints)
    {
     Console.WriteLine("Rufe Service: " + fr.Address.ToString());
     // Factory erzeugen
     EndpointAddress address = findResponse.Endpoints[0].Address;
     ChannelFactory<HalloWeltDienstProxy.IServiceChannel> factory = new ChannelFactory<HalloWeltDienstProxy.IServiceChannel>(new BasicHttpBinding(), address);

     // Client erzeugen
     HalloWeltDienstProxy.IServiceChannel client = factory.CreateChannel();
     Console.WriteLine("  " + client.GetData(10));

     client.Close();
     factory.Close();
    }
   }
   else
   {
    Console.WriteLine("Kein Dienst gefunden!");
   }

   Console.WriteLine("Fertig!");

   // Erforschung
   //Console.WriteLine("DynamicEndpoint...");
   //DynamicEndpoint dynamicEndpoint = new DynamicEndpoint(
   //                                            ContractDescription.GetContract(typeof(HalloWeltDienstProxy.IServiceChannel)),
   //                                            new WSHttpBinding());
   //HalloWeltDienstProxy.ServiceClient client2 = new HalloWeltDienstProxy.ServiceClient(dynamicEndpoint);
   //Console.WriteLine(client2.GetData(10));
  }
 }
}
