using System;
using System.Collections.Generic;
using System.Text;

using System.Management.Automation;
using System.Management;

namespace de.ITVisions.PowerShell
{
 [Cmdlet(VerbsCommon.Get, "Buchung", DefaultParameterSetName = "")]
 public class Get_Buchung : PSCmdlet
 {

  [Parameter]
  public long PassagierNummer = 0;

  [Parameter]
  public SwitchParameter Delete;

    protected override void ProcessRecord()
  {
   if (Delete.IsPresent)
   {
    de.WWWings.Buchung_BLManager.AlleBuchungenLoeschenFuerPassagier(PassagierNummer);
   }
   else
   {
    this.WriteObject(de.WWWings.Buchung_BLManager.HoleBuchungen(), true);
   }
  }
 }
}


