using System;
using System.Collections.Generic;
using System.Text;

using System.Management.Automation;
using System.Management;

namespace de.ITVisions.PowerShell
{
 [Cmdlet(VerbsCommon.Get, "Flugziele", DefaultParameterSetName = "")]
 public class Get_Flugziele : PSCmdlet
 {
  [Parameter(Position = 0, ValueFromPipeline = true, HelpMessage = "Optionale Angabe: Abflugort")]
  public string Abflugort = "";

    protected override void ProcessRecord()
  {
    
   Util.SetConnection(this);
   if ((this.Abflugort == ""))
   {
    this.WriteObject(de.WWWings.FlughaefenBLManager.Abflughaefen(), true);
   }
   else
   {
    this.WriteObject(de.WWWings.FlughaefenBLManager.Ziele_Fuer_Abflugort(this.Abflugort), true);
   }
  }
 }
}


