using System;
using System.Collections.Generic;
using System.Text;

using System.Management.Automation;
using System.Management;

namespace de.ITVisions.PowerShell
{
 [Cmdlet("Test", "WWWings", DefaultParameterSetName = "")]
 public class Test_WWWings : PSCmdlet
 {
  
  protected override void ProcessRecord()
  {
   Util.SetConnection(this);
   this.WriteObject("Datenbank =  " + Util.GetConnection(this));
   this.WriteObject("Teste Verbindung...");
   string Result = "";
   try
   {
   de.WWWings.FlugBLManager.HoleFlug(101);

    this.WriteObject("OK");
   }
   catch (Exception ex)
   {
    Result = "Fehler: " + ex.Message;
    this.WriteError(new ErrorRecord(ex, "1", ErrorCategory.OpenError, this));
   }


  }
 }
}


