﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.IO.IsolatedStorage;
using System.Runtime.Serialization;
using System.Linq;
using System.IO;
using System.Collections.Generic;
using System.Net.NetworkInformation;
using Silverlight.WCFService;
using System.Runtime.InteropServices.Automation;

using System.Windows.Browser;
using ITVisions.SilverlightUtil;
using de.WWWings.GO;
namespace WWWings_Silverlight
{
  public class ITVSLDemoWindow : UserControl
  {


    public ITVSLDemoWindow()
    {
      Application.Current.CheckAndDownloadUpdateCompleted += new CheckAndDownloadUpdateCompletedEventHandler(OOBUtil.CheckAndDownloadUpdateCompleted);
    }


    protected static string GetNetStat()
    {
      string s;
      if (NetworkInterface.GetIsNetworkAvailable())
      { s = "ONLINE"; }
      else
      { s = "OFFLINE"; }
      return s;
    }


    protected static void Notify(string Header, string Body)
    {
      if (!Application.Current.IsRunningOutOfBrowser) return;


      NotificationWindow notify = new NotificationWindow();
      notify.Height = 74;
      notify.Width = 329;
      notify.Content = new TextBlock() { Text = Header + "\n\n" + Body, TextWrapping = TextWrapping.Wrap };
      notify.Show(4000);


      //// creating the content to be in the window   
      //CustomNotification custom = new CustomNotification();  
      //custom.Header = Header;  
      //custom.Text = Body;
      //custom.Width = notify.Width;  
      //custom.Height = notify.Height; 
      //// set the window content 
      //notify.Content = custom; 


      // displaying the notification 


    }





    #region Logging


    /// <summary>
    /// Einfaches HTML-Tracing
    /// </summary>
    public void Trace(string s)
    {
      if (Application.Current.IsRunningOutOfBrowser) return;
      HtmlElement e = HtmlPage.Document.GetElementById("C_Trace");
      string text = (string)e.GetProperty("innerHTML");
      text = "<div>" + DateTime.Now.ToShortTimeString() + ": " + s + "</div>" + text;
      e.SetProperty("innerHTML", text);
    }


    #endregion


    #region Export

   


    dynamic excel;
    IList<Flug> CurrentData;
    /// <summary>
    /// Übergabe an Excel via COM-Automation
    /// </summary>
    public dynamic SendToExcel(bool withHeaders, DataGrid grid, System.Collections.IList source = null)
    {



      CurrentData = source as IList<Flug>;
      string Ausgabe = new CSVUtil().ExportDataGrid(withHeaders, grid, source);
      if (Ausgabe == "") return null;
      MessageBox.Show(Ausgabe);

      dynamic excel;
      excel = AutomationFactory.CreateObject("Excel.Application");
      excel.Visible = true;
      dynamic workbook = excel.workbooks;
      workbook.Add();
      dynamic sheet = excel.ActiveSheet;

      int rowCount = 1;

      // iterate through the data source and populate the excel sheet
      foreach (string line in Ausgabe.Split('\n'))
      {
        string[] Cols = line.Split(';');

        int colCount = 1;
        foreach (string Wert in Cols)
        {
          string WertOhneAnfuehrungszeichen = Wert.Trim().Trim('"');
          dynamic cell = null;
          cell = sheet.Cells[rowCount, colCount];
          cell.Value = WertOhneAnfuehrungszeichen;
          cell.ColumnWidth = 20;
          cell.HorizontalAlignment = -4131; // links;
          if (rowCount == 1) cell.Interior.ColorIndex = 36;
          colCount++;
        }
        rowCount++;
      }
      return excel;


      //dynamic shell = AutomationFactory.CreateObject("Wscript.shell")
      //shell.Popup("Daten wurden exportiert!");

    }




    #endregion

   
  }
}

