﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="Flugbericht.aspx.cs" Inherits="SilverlightServer.Report" %>

<%@ Register assembly="Microsoft.ReportViewer.WebForms, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a" namespace="Microsoft.Reporting.WebForms" tagprefix="rsweb" %>


<html>
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
     <asp:ScriptManager ID="ScriptManager1" runat="server">
     </asp:ScriptManager>
    Test
    </div>
    <rsweb:ReportViewer ID="ReportViewer1" Width="100%" Height="500"  runat="server" Font-Names="Verdana" 
     Font-Size="8pt" InteractiveDeviceInfos="(Collection)" 
     WaitMessageFont-Names="Verdana" WaitMessageFont-Size="14pt">
     <LocalReport ReportPath="Flugbericht.rdlc">
      <DataSources>
       <rsweb:ReportDataSource DataSourceId="ObjectDataSource1" Name="DataSet1" />
      </DataSources>
     </LocalReport>
    </rsweb:ReportViewer>
    <asp:ObjectDataSource ID="ObjectDataSource1" runat="server" 
     SelectMethod="GetDataBy" 
     TypeName="SilverlightServer.WWWings6DataSetTableAdapters.FlugTableAdapter" 
     DeleteMethod="Delete" InsertMethod="Insert" 
     OldValuesParameterFormatString="original_{0}" UpdateMethod="Update">
     <DeleteParameters>
      <asp:Parameter Name="Original_FlugNr" Type="Int32" />
     </DeleteParameters>
     <InsertParameters>
      <asp:Parameter Name="FlugNr" Type="Int32" />
      <asp:Parameter Name="Abflugort" Type="String" />
      <asp:Parameter Name="Zielort" Type="String" />
      <asp:Parameter Name="Datum" Type="DateTime" />
      <asp:Parameter Name="NichtRaucherFlug" Type="Boolean" />
      <asp:Parameter Name="Plaetze" Type="Int16" />
      <asp:Parameter Name="FreiePlaetze" Type="Int16" />
      <asp:Parameter Name="Pilot_PersonID" Type="Int32" />
      <asp:Parameter Name="Ankunft" Type="DateTime" />
      <asp:Parameter Name="Memo" Type="String" />
      <asp:Parameter Name="Test" Type="String" />
     </InsertParameters>
     <SelectParameters>
      <asp:QueryStringParameter DefaultValue="%" Name="Abflugort" 
       QueryStringField="Ort" Type="Object" />
     </SelectParameters>
     <UpdateParameters>
      <asp:Parameter Name="Abflugort" Type="String" />
      <asp:Parameter Name="Zielort" Type="String" />
      <asp:Parameter Name="Datum" Type="DateTime" />
      <asp:Parameter Name="NichtRaucherFlug" Type="Boolean" />
      <asp:Parameter Name="Plaetze" Type="Int16" />
      <asp:Parameter Name="FreiePlaetze" Type="Int16" />
      <asp:Parameter Name="Pilot_PersonID" Type="Int32" />
      <asp:Parameter Name="Ankunft" Type="DateTime" />
      <asp:Parameter Name="Memo" Type="String" />
      <asp:Parameter Name="Test" Type="String" />
      <asp:Parameter Name="Original_FlugNr" Type="Int32" />
     </UpdateParameters>
    </asp:ObjectDataSource>

    </form>
</body>
</html>
