﻿using Microsoft.VisualStudio.TestTools.UnitTesting;
using de.WWWings.GL;
using  de.WWWings.GO;


namespace WWWings_UnitTests
{
 /// <summary>
 /// Summary description for SelbstErstellterTest
 /// </summary>
 [TestClass]
 public class SelbstErstellterTest
 {

  private TestContext testContextInstance;

  /// <summary>
  ///Gets or sets the test context which provides
  ///information about and functionality for the current test run.
  ///</summary>
  public TestContext TestContext
  {
   get
   {
    return testContextInstance;
   }
   set
   {
    testContextInstance = value;
   }
  }

  #region Additional test attributes
  //
  // You can use the following additional attributes as you write your tests:
  //
  // Use ClassInitialize to run code before running the first test in the class
  // [ClassInitialize()]
  // public static void MyClassInitialize(TestContext testContext) { }
  //
  // Use ClassCleanup to run code after all tests in a class have run
  // [ClassCleanup()]
  // public static void MyClassCleanup() { }
  //
  
  //
  // Use TestCleanup to run code after each test has run
  // [TestCleanup()]
  // public void MyTestCleanup() { }
  //
  #endregion

  [TestMethod]
  public void MeinErsterTest()
  {
   FlugBLManager BL = new FlugBLManager();
   Flug f = BL.GetFlug(101);
   Assert.AreEqual(f.FlugNr, 101);
   Assert.AreEqual(f.Abflugort, "Seattle");
   Assert.AreEqual(f.Zielort, "Rom");
  }

  FlugBLManager BL;
  Flug f ;

  [TestInitialize()]
  public void MyTestInitialize()
  {
   BL = new FlugBLManager();
   f = BL.GetFlug(101);
  }

  [TestMethod]
  public void Teste_FlugNr()
  {
   Assert.AreEqual(101, f.FlugNr);
  }

  [TestMethod]
  public void Teste_AbflugOrt()
  {
   Assert.AreEqual("Seattle", f.Abflugort );
  }

  [TestMethod]
  public void Teste_Zielort()
  {
   Assert.AreEqual("Mailand", f.Zielort );
  }

  [TestMethod]
  public void MeinZweiterTest()
  {
   Assert.AreEqual(f.FlugNr, 101);
   Assert.AreEqual("Seattle", f.Abflugort );
   Assert.AreEqual("Rom", f.Zielort);
  }

  [TestMethod]
  public void SpielereienMitTestContext()
  {
   System.Diagnostics.Debug.WriteLine(this.TestContext.TestName);
   System.Diagnostics.Debug.WriteLine(this.TestContext.TestDir);
   System.Diagnostics.Debug.WriteLine(this.TestContext.TestDeploymentDir);
   System.Diagnostics.Debug.WriteLine(this.TestContext.CurrentTestOutcome);
   System.Diagnostics.Debug.WriteLine(this.TestContext.TestName);
  }
 }
}
