﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Xml.Linq;
using System.Web.DynamicData;

public partial class List : System.Web.UI.Page {
    protected MetaTable table;
        
    protected void Page_Init(object sender, EventArgs e) {
        DynamicDataManager1.RegisterControl(ListView1, true);
    }

    protected void Page_Load(object sender, EventArgs e) {
        table = LinqDataSource1.GetTable();
        InsertHyperLink.NavigateUrl = table.GetActionPath(PageAction.Insert);
    }

    protected void ListView1_ItemDataBound(object sender, ListViewItemEventArgs e)
    {
     (e.Item.FindControl("EditHyperLink") as HyperLink).NavigateUrl = table.GetActionPath(PageAction.Edit, ((ListViewDataItem)e.Item).DataItem);
     (e.Item.FindControl("EditHyperLink") as HyperLink).ToolTip = table.GetActionPath(PageAction.Edit, ((ListViewDataItem)e.Item).DataItem);
    }
}
