﻿using System;
using System.Collections.Specialized;
using System.Web.UI;

public partial class Text_EditField : System.Web.DynamicData.FieldTemplateUserControl
{
 // Festlegen des darstellenden Steuerelements
 public override Control DataControl
 {
  get
  {
   return OrteListe;
  }
 }

 // Darstellen des aktuellen Wertes
 protected override void OnDataBinding(EventArgs e)
 {
  base.OnDataBinding(e);
  try // falls ein Ort hinterlegt ist, den es nicht in der Liste gibt! 
  {
   object val = FieldValue;
   if (val != null)
    OrteListe.SelectedValue = (string)val;
  }
  catch (Exception)  { }
 }

 // Speichern des ausgewählten Wertes
 protected override void ExtractValues(IOrderedDictionary dictionary)
 {
  dictionary[Column.Name] = ConvertEditedValue(OrteListe.SelectedValue);
 }

}
