// (c) Copyright Microsoft Corporation.
// This source is subject to the Microsoft Permissive License.
// See http://www.microsoft.com/resources/sharedsource/licensingbasics/sharedsourcelicenses.mspx.
// All other rights reserved.


using System;
using System.Collections.Generic;
using System.Web.Services;
using System.Collections;


public class Matcher
{
 string prefix = "";
 int max = 0;
 int count = 0;

 public string[] StartsWith (string[] Liste, string Prefix, int Max)
 {
  this.max = Max;
  this.prefix = Prefix;
  List<string> a = new List<string>();
  a.AddRange(Liste);
  a = a.FindAll(StartsWithDel);
  return a.ToArray();
 }


 private bool StartsWithDel(String s)
 {

  if (count < max && s.StartsWith(prefix))
  {
   count++;
   return true;
  }
  else
  {
   return false;
  }

 }
}


[WebService(Namespace = "http://tempuri.org/")]
[WebServiceBinding(ConformsTo = WsiProfiles.BasicProfile1_1)]
[System.Web.Script.Services.ScriptService]
public class AutoComplete : WebService
{
 public AutoComplete()
 {
 }


 [WebMethod]
 public string[] HoleAbflugOrte(string prefixText, int count)
 {
return new Matcher().StartsWith(de.WWWings.FlugBLManager.Abflugorte(), prefixText, count);
 }

 


 [WebMethod]
 public string[] HoleZufall(string prefixText, int count)
 {
  if (count == 0)
  {
   count = 10;
  }

  if (prefixText.Equals("xyz"))
  {
   return new string[0];
  }

  Random random = new Random();
  List<string> items = new List<string>(count);
  for (int i = 0; i < count; i++)
  {
   char c1 = (char)random.Next(65, 90);
   char c2 = (char)random.Next(97, 122);
   char c3 = (char)random.Next(97, 122);

   items.Add(prefixText + c1 + c2 + c3);
  }

  return items.ToArray();
 }
}