using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using AjaxControlToolkit;
using System.Web.Services;
using System.Collections.Specialized;

public partial class EingabemaskeCS : System.Web.UI.Page
{
 protected void Page_Load(object sender, EventArgs e)
 {
  this.Title = "www.IT-Visions.de/WWWings  Zeit: " + DateTime.Now.ToLongTimeString();
 }


 [WebMethod]
 public static CascadingDropDownNameValue[] HoleAbflugorte(string knownCategoryValues, string category)
 {
  string[] Texte = de.WWWings.FlughaefenBLManager.Abflughaefen();
  return StringArrayToNameValueCollection(Texte); ;
 }

 [WebMethod]
  public static CascadingDropDownNameValue[] HoleZielorte(string knownCategoryValues, string category)
 {
  StringDictionary kv = CascadingDropDown
.ParseKnownCategoryValuesString(knownCategoryValues);

  string[] Texte = de.WWWings.FlughaefenBLManager.Ziele_Fuer_Abflugort(kv["Abflug"]);
  return StringArrayToNameValueCollection(Texte); ;
 }

 [WebMethod]
 public string[] GetCompletionList(string prefixText, int count)
 {
  return null;
 }

 private static CascadingDropDownNameValue[] StringArrayToNameValueCollection(string[] Texte)
 {
  CascadingDropDownNameValue[] NV = new CascadingDropDownNameValue[Texte.Length];
  for (int i = 0; i < Texte.Length; i++)
  {
   CascadingDropDownNameValue c = new CascadingDropDownNameValue(Texte[i], Texte[i]);
   NV[i] = c;
  }
  return NV;
 }

 // fr Dynamic Populate
 [System.Web.Services.WebMethod]
 [System.Web.Script.Services.ScriptMethod]
 public static string GetHtml(string contextKey)
 {
  // A little pause to mimic a latent call
  System.Threading.Thread.Sleep(250);


  de.WWWings.Flug f = de.WWWings.FlugBLManager.HoleFlug(Convert.ToInt64(contextKey));

  return "Sie haben gewhlt: Flug von " + f.AbflugOrt + " nach " + f.ZielOrt + " am " + f.Datum.ToShortDateString();
 }

 protected void Button1_Click(object sender, EventArgs e)
 {

 }
}
