﻿<%@ Page Language="C#" MasterPageFile="~/Master/admin.master" AutoEventWireup="true" CodeFile="Flugverwaltung_ADS.aspx.cs" Inherits="Flugverwaltung_ADS" Title="Untitled Page" %>
<asp:Content ID="Content1" ContentPlaceHolderID="P_MainContent" Runat="Server">
 <asp:GridView ID="C_Liste" runat="server" AllowPaging="True" AllowSorting="True"
  AutoGenerateColumns="False" DataKeyNames="FlugNr" DataSourceID="AccessDataSource1"
  EmptyDataText="There are no data records to display." BackColor="White" BorderColor="#999999" BorderStyle="None" BorderWidth="1px" CellPadding="3" GridLines="Vertical">
  <Columns>
   <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" ShowSelectButton="True">
   </asp:CommandField>
   <asp:BoundField DataField="FlugNr" HeaderText="FlugNr" ReadOnly="True" SortExpression="FlugNr">
   </asp:BoundField>
   <asp:BoundField DataField="Abflugort" HeaderText="Abflugort" SortExpression="Abflugort">
   </asp:BoundField>
   <asp:BoundField DataField="Zielort" HeaderText="Zielort" SortExpression="Zielort">
   </asp:BoundField>
   <asp:BoundField DataField="Datum" HeaderText="Datum" SortExpression="Datum">
   </asp:BoundField>
   <asp:CheckBoxField DataField="NichtRaucherFlug" HeaderText="NichtRaucherFlug"
    SortExpression="NichtRaucherFlug"></asp:CheckBoxField>
   <asp:BoundField DataField="Plaetze" HeaderText="Plaetze" SortExpression="Plaetze">
   </asp:BoundField>
   <asp:BoundField DataField="FreiePlaetze" HeaderText="FreiePlaetze" SortExpression="FreiePlaetze">
   </asp:BoundField>
  </Columns>
  <FooterStyle BackColor="#CCCCCC" ForeColor="Black" />
  <RowStyle BackColor="#EEEEEE" ForeColor="Black" />
  <PagerStyle BackColor="#999999" ForeColor="Black" HorizontalAlign="Center" />
  <SelectedRowStyle BackColor="#008A8C" Font-Bold="True" ForeColor="White" />
  <HeaderStyle BackColor="#000084" Font-Bold="True" ForeColor="White" />
  <AlternatingRowStyle BackColor="Gainsboro" />
 </asp:GridView>
 <asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/app_data/WWingsVersion6.mdb"
  DeleteCommand="DELETE FROM `Flug` WHERE `FlugNr` = ?" InsertCommand="INSERT INTO `Flug` (`FlugNr`, `Abflugort`, `Zielort`, `Datum`, `NichtRaucherFlug`, `Plaetze`, `FreiePlaetze`) VALUES (?, ?, ?, ?, ?, ?, ?)"
  OnSelecting="AccessDataSource1_Selecting" SelectCommand="SELECT `FlugNr`, `Abflugort`, `Zielort`, `Datum`, `NichtRaucherFlug`, `Plaetze`, `FreiePlaetze` FROM `Flug`"
  UpdateCommand="UPDATE `Flug` SET `Abflugort` = ?, `Zielort` = ?, `Datum` = ?, `NichtRaucherFlug` = ?, `Plaetze` = ?, `FreiePlaetze` = ? WHERE `FlugNr` = ?">
  <UpdateParameters>
   <asp:Parameter Name="Abflugort" Type="String" />
   <asp:Parameter Name="Zielort" Type="String" />
   <asp:Parameter Name="Datum" Type="DateTime" />
   <asp:Parameter Name="NichtRaucherFlug" Type="Boolean" />
   <asp:Parameter Name="Plaetze" Type="Int16" />
   <asp:Parameter Name="FreiePlaetze" Type="Int32" />
   <asp:Parameter Name="original_FlugNr" Type="Int32" />
  </UpdateParameters>
  <DeleteParameters>
   <asp:Parameter Name="original_FlugNr" Type="Int32" />
  </DeleteParameters>
  <InsertParameters>
   <asp:Parameter Name="FlugNr" Type="Int32" />
   <asp:Parameter Name="Abflugort" Type="String" />
   <asp:Parameter Name="Zielort" Type="String" />
   <asp:Parameter Name="Datum" Type="DateTime" />
   <asp:Parameter Name="NichtRaucherFlug" Type="Boolean" />
   <asp:Parameter Name="Plaetze" Type="Int16" />
   <asp:Parameter Name="FreiePlaetze" Type="Int32" />
  </InsertParameters>
 </asp:AccessDataSource>
 <br />
 <asp:DetailsView ID="C_Detailansicht" runat="server" Height="50px" OnPageIndexChanging="DetailsView1_PageIndexChanging"
  Width="125px" AllowPaging="True" AutoGenerateRows="False" BackColor="White" BorderColor="#999999" BorderStyle="None" BorderWidth="1px" CellPadding="3" DataKeyNames="FlugNr" DataSourceID="ADS_EinFlug" GridLines="Vertical">
  <FooterStyle BackColor="#CCCCCC" ForeColor="Black" />
  <RowStyle BackColor="#EEEEEE" ForeColor="Black" />
  <PagerStyle BackColor="#999999" ForeColor="Black" HorizontalAlign="Center" />
  <Fields>
   <asp:BoundField DataField="FlugNr" HeaderText="FlugNr" ReadOnly="True" SortExpression="FlugNr">
   </asp:BoundField>
   <asp:BoundField DataField="Abflugort" HeaderText="Abflugort" SortExpression="Abflugort">
   </asp:BoundField>
   <asp:BoundField DataField="Zielort" HeaderText="Zielort" SortExpression="Zielort">
   </asp:BoundField>
   <asp:BoundField DataField="Datum" HeaderText="Datum" SortExpression="Datum">
   </asp:BoundField>
   <asp:CheckBoxField DataField="NichtRaucherFlug" HeaderText="NichtRaucherFlug"
    SortExpression="NichtRaucherFlug"></asp:CheckBoxField>
   <asp:BoundField DataField="Plaetze" HeaderText="Plaetze" SortExpression="Plaetze">
   </asp:BoundField>
   <asp:BoundField DataField="FreiePlaetze" HeaderText="FreiePlaetze" SortExpression="FreiePlaetze">
   </asp:BoundField>
   <asp:BoundField DataField="PI_MI_MitarbeiterNr" HeaderText="PI_MI_MitarbeiterNr"
    SortExpression="PI_MI_MitarbeiterNr"></asp:BoundField>
   <asp:BoundField DataField="AnzahlStarts" HeaderText="AnzahlStarts" SortExpression="AnzahlStarts">
   </asp:BoundField>
   <asp:BoundField DataField="EingerichtetAm" HeaderText="EingerichtetAm" SortExpression="EingerichtetAm">
   </asp:BoundField>
   <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" ShowInsertButton="True">
   </asp:CommandField>
  </Fields>
  <HeaderStyle BackColor="#000084" Font-Bold="True" ForeColor="White" />
  <EditRowStyle BackColor="#008A8C" Font-Bold="True" ForeColor="White" />
  <AlternatingRowStyle BackColor="#DCDCDC" />
 </asp:DetailsView>
 <asp:AccessDataSource ID="ADS_EinFlug" runat="server" DataFile="~/App_Data/WWingsVersion6.mdb" DeleteCommand="DELETE FROM [Flug] WHERE [FlugNr] = ?" InsertCommand="INSERT INTO [Flug] ([FlugNr], [Abflugort], [Zielort], [Datum], [NichtRaucherFlug], [Plaetze], [FreiePlaetze], [PI_MI_MitarbeiterNr], [AnzahlStarts], [EingerichtetAm]) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?)" SelectCommand="SELECT * FROM [Flug] WHERE ([FlugNr] = ?)" UpdateCommand="UPDATE [Flug] SET [Abflugort] = ?, [Zielort] = ?, [Datum] = ?, [NichtRaucherFlug] = ?, [Plaetze] = ?, [FreiePlaetze] = ?, [PI_MI_MitarbeiterNr] = ?, [AnzahlStarts] = ?, [EingerichtetAm] = ? WHERE [FlugNr] = ?">
  <DeleteParameters>
   <asp:Parameter Name="original_FlugNr" Type="Int32" />
  </DeleteParameters>
  <UpdateParameters>
   <asp:Parameter Name="Abflugort" Type="String" />
   <asp:Parameter Name="Zielort" Type="String" />
   <asp:Parameter Name="Datum" Type="DateTime" />
   <asp:Parameter Name="NichtRaucherFlug" Type="Boolean" />
   <asp:Parameter Name="Plaetze" Type="Int16" />
   <asp:Parameter Name="FreiePlaetze" Type="Int32" />
   <asp:Parameter Name="PI_MI_MitarbeiterNr" Type="Int32" />
   <asp:Parameter Name="AnzahlStarts" Type="Int32" />
   <asp:Parameter Name="EingerichtetAm" Type="DateTime" />
   <asp:Parameter Name="original_FlugNr" Type="Int32" />
  </UpdateParameters>
  <SelectParameters>
   <asp:ControlParameter ControlID="C_Liste" Name="FlugNr" PropertyName="SelectedValue"
    Type="Int32" />
  </SelectParameters>
  <InsertParameters>
   <asp:Parameter Name="FlugNr" Type="Int32" />
   <asp:Parameter Name="Abflugort" Type="String" />
   <asp:Parameter Name="Zielort" Type="String" />
   <asp:Parameter Name="Datum" Type="DateTime" />
   <asp:Parameter Name="NichtRaucherFlug" Type="Boolean" />
   <asp:Parameter Name="Plaetze" Type="Int16" />
   <asp:Parameter Name="FreiePlaetze" Type="Int32" />
   <asp:Parameter Name="PI_MI_MitarbeiterNr" Type="Int32" />
   <asp:Parameter Name="AnzahlStarts" Type="Int32" />
   <asp:Parameter Name="EingerichtetAm" Type="DateTime" />
  </InsertParameters>
 </asp:AccessDataSource>
 <br />
</asp:Content>

