﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Flugdaten_AJAX_DataService.aspx.cs" Inherits="DataServiceAJAXClient" MasterPageFile="~/Master/WWWings.master" Title="AJAX Service via Data Service" %>


<asp:Content ContentPlaceHolderID=P_MainContent runat=server>

 <%--<script src="AJAX_Hilfsroutinen.js" type="text/javascript"></script>--%>
 <asp:ScriptManager ID="ScriptManager1" runat="server">
   <Scripts>
    <asp:ScriptReference Path="~/App_Scripts/DataService.js" />
     <asp:ScriptReference Path="~/App_Scripts/AJAX_Hilfsroutinen.js" />

   </Scripts>
  </asp:ScriptManager>
 <%--<script src="Skripte/AJAX_Hilfsroutinen.js" type="text/javascript"></script>--%>
 <script type="text/javascript">
    
function DatenLaden() {  
 var abflug = document.getElementById('C_Abflugort').options[$get('C_Abflugort').selectedIndex].value;


 $get("C_Tabelle").innerHTML = "Daten für " + abflug + " werden geladen...";
 var DataService = new Sys.Data.DataService("/Webservice/WWWingsFlugplanDataService.svc");
 DataService.query("/Flug?$filter=Abflugort eq '" + abflug + "'&$skip=0&$top=10", DatenLaden_Callback, Fehler_Callback);

 // DataService.query("/FL_Fluege", DatenLaden_Callback, Fehler_Callback);
 // 
 // 
}
    
// ============== Erfolgsfall
function DatenLaden_Callback(result, context, operation)
{
var s = "";
s = "<table border='0' width='90%'  noshade='noshade'>";
//alert(result.length);
for (var i=0; i<result.length; i++) 
{
    if (i % 2 == 0) { s = s + "<tr bgcolor='#F7F7F7'>"; } else { s = s + "<tr bgcolor='#E7E7FF'>"; }
s = s + "<td>" + result[i].FlugNr+ "</td>";
s = s + "<td>" + result[i].Datum.toLocaleString() + "</td>";
s = s + "<td>" + result[i].Abflugort+ "</td>";
s = s + "<td>" + result[i].Zielort+ "</td>";
s = s + "<td>" + "<a href='F" + result[i].FlugNr + ".aspx'>Buchen</a></td>";
s = s + "</tr>";
}
s = s + "</table>";
$get("C_Tabelle").innerHTML = s;
}


// ============== Fehlerfall
function Fehler_Callback(error)
{
///<summary>Zeigt den Fehler anstelle der Tabelle an</summary>
///<param name="error" type="Error Object">Fehlerinformation</param>
///<returns>string</returns>
var text = "Fehler bei der AJAX-Verarbeitung auf dem Server: " + error.get_message();
$get("C_Tabelle").innerHTML = text;
return error.get_message();
}



function cbSuccess_TableAll(result, context, operation) {
  // Get Customers list and put into a table.
  var sb = new Sys.StringBuilder();
  sb.append("<table>");

  var firstRowOutput = false;
  for (idx in result) {
    var customer = result[idx];
    if (!firstRowOutput) {
      // Display the header row.
      sb.append("<tr>");
      for (key in customer) {
        if (key != "__metadata") {
          sb.append("<th>");
          sb.append(key);
          sb.append("</th>");
        }
    }
    sb.append("</tr>");
    firstRowOutput = true;
  }

  // Display the data.
  sb.append("<tr>");
  for (key in customer) {
    if (key != "__metadata") {
      sb.append("<td>");
      sb.append(customer[key]);
      sb.append("</td>");
      }
    }
  sb.append("</tr>");
  }

  sb.append("</table>");      
  $get("spanResults").innerHTML = sb.toString();
}
    
 </script>

 <style type="text/css">
  .style1
  {
   font-family: Arial;
   font-size: large;
  }
 </style>

 <div>
 
 </div>
 <p>
 <span>Alle Flüge von einem bestimmten Ort<br />
   Lösung mit ADO.NET Data Services
   </span></p>
   Abflugort:
 <select id="C_Abflugort" name="C_Abflugort">
  <option value="Berlin" selected="selected">Berlin</option>
  <option value="Rom">Rom</option>
  <option value="Paris">Paris</option>
  <option value="Dallas">Dallas</option>
 </select>
 <input id="C_Anfordern" type="button" value="Anfordern" onclick="DatenLaden();" />
 <br />
 <br />
 <div id="C_Tabelle">
 </div>

</asp:Content>