<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Flugdaten_AJAX_DataService_ClientGrid.aspx.cs"
 Inherits="Flugdaten_AJAX_Service_WCF_ClientGrid" MasterPageFile="~/Master/WWWings.Einfach.master"
 Title="AJAX Service via WCF" %>

<asp:Content ID="P1" runat="server" ContentPlaceHolderID="P_MainContent">
 <link href="StyleSheet.css" rel="stylesheet" type="text/css" />

 <script language="javascript">


 </script>

 <script type="text/javascript">
        var _message;
        var _grid;
        var _pager;

        function pageLoad() {
            // Getting the reference of the Client Components and attaching the event handlers
            _grid = $find("<%=  this.grid.ClientID %>");
            _grid.add_sort(sorted);

            _pager = $find("<%=  this.pager.ClientID %>");
            _pager.add_pageChange(pageChanged);

            //Getting the reference of the DOM elements
            _message = $get('message');
      DatenLaden();
        }

        function pageUnload() {
            //Remove the handlers in page unload-- Good Practice
            _grid.remove_sort(sorted);
            _pager.remove_pageChange(pageChanged);
        }


        function sorted(sender, e) {
            //Set the SortColum and SortOrder of the Grid so that it can properly render current sort column
            //and the associated image
            _grid.set_sortColumn(e.get_sortColumn());
            _grid.set_sortOrder(e.get_sortOrder());

            _pager.set_currentPage(1); // need to reset the current page as sorting has been changed
            DatenLaden();
        }

        function pageChanged(sender, e) {
            _pager.set_currentPage(e.get_newPage()); //Set the new page as current page
            DatenLaden();
        }

        var total = 0;
        var fluege = null;

        function DatenLaden() {
            var abflug = document.getElementById('C_Abflugort').options[$get('C_Abflugort').selectedIndex].value;

            //Calculating the startindex 
            var startIndex = ((_pager.get_currentPage()) * _pager.get_rowPerPage());

            //Need to convert the sortoder which our Webservice can understand
            var sortOrder = (_grid.get_sortOrder() == Ajax.Controls.GridSortOrder.Descending) ? 'DESC' : 'ASC';

            // Status
            _message.innerHTML = '<div><img alt=\"\" src=\"Images/indicator.gif\"/>&nbsp;Lade Daten fr ' + abflug + '</div>';
            _message.style.display = '';

            // Zurcksetzen
            total = 0;
            fluege = null;

            var DataService = new Sys.Data.DataService("/Webservice/WWWingsFlugplanDataService.svc");
            DataService.query("/Flug?$filter=Abflugort eq '" + abflug + "'&$orderby='" + _grid.get_sortColumn() + "'&$skip=" + startIndex + "&$top=" + _pager.get_rowPerPage() + "", Ausgabe, Fehler, "Daten");
            DataService.query("/Count?Stadt='" + abflug + "'", Ausgabe, Fehler, "Count");
        }



        function Fehler(exception) {
            _message.innerHTML = '<span style=\"color:#ff0000\">' + exception.get_message() + '</span>';
        }


        function Ausgabe(data, context) {

            if (context == "Count") total = data.Count;
            if (context == "Daten") fluege = data;

            if (total != 0 && fluege != null) { // Erst wenn beide Ergebnisse da sind!

                _grid.set_dataSource(fluege);
                _grid.dataBind();

                _pager.set_rowCount(total);

                _message.innerHTML = '';
                _message.style.display = 'none';
            }
        }
                                            
 </script>

 <div>
  <span class="">Alle Flge von einem bestimmten Ort<br />
   Lsung mit ADO.NET Data Service und Client-Grid/Client-Pager von <a href="http://dotnetslackers.com/articles/ajax/ASPNETAjaxGridAndPager.aspx">
    Kazi Manzur</a></span>. </p>
  <asp:ScriptManager ID="ScriptManager1" runat="server" ScriptMode="Inherit">
   <Scripts>
    <asp:ScriptReference Path="/App_Scripts/DataService.js" />
   </Scripts>
  </asp:ScriptManager>
  Abflugort:
  <select id="C_Abflugort" name="C_Abflugort" onchange="DatenLaden()";>
   <option value="Berlin" selected="selected">Berlin</option>
   <option value="Rom">Rom</option>
   <option value="Paris">Paris</option>
   <option value="Essen/Mlheim">Essen/Mlheim</option>
  </select>
  </strong>
  <br />
  <br />
  <ajax:grid id="grid" runat="server" border="0" cellpadding="5" cellspacing="0" cssclass="grid"
   headercssclass="gridHeader" rowcssclass="gridRow" alternatingrowcssclass="gridAltRow"
   selectedrowcssclass="gridSelectedRow" sortcolumn="flugNr" sortorderascendingimage="Images/up.gif"
   sortorderdescendingimage="Images/dn.gif">
                            <Columns>
                                <ajax:GridColumn Width=50  DataField="FlugNr" HeaderText="Flugnummer" Sortable="True" Nowrap="True"/>
                                <ajax:GridColumn Width=100 DataField="Datum" FormatString="d" HeaderText="Datum" Sortable="True"/>
                                <ajax:GridColumn Width=100 DataField="Abflugort" HeaderText="Abflugort" Sortable="True"/>
                                <ajax:GridColumn Width=100 DataField="Zielort" HeaderText="ZielOrt" Sortable="True"/>
                                <ajax:GridColumn Width=50  DataField="FreiePlaetze" HeaderText="Freie Plaetze" Sortable="True" />
                            </Columns>
                        </ajax:grid>
  <ajax:pager id="pager" runat="server" cssclass="pager" currentpagecssclass="pagerCurrentPage"
   otherpagecssclass="pagerOtherPage" showinfo="True" infocssclass="pagerInfo"></ajax:pager>
  <div id="message" style="display: none">
  </div>
 </div>
</asp:Content>
