using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Flugdaten_AJAX_PPR_EinPanel_History : System.Web.UI.Page
{


 protected void Page_Load(object sender, EventArgs e)
 {
  this.C_Log.Text = "Letzte Aktualisierung: " + DateTime.Now.ToLongTimeString() + "<br>";

  if (!Page.IsPostBack)
  {
   this.Title = "Ausgangszustand";
  // this.C_Abflugort.SelectedValue = "Rom";
  // this.C_Zielort.SelectedValue = "Mnchen";
  }

 }
 protected void C_Abflugort_SelectedIndexChanged(object sender, EventArgs e)
 {
  SetHistoryPoint();
  //System.Threading.Thread.Sleep(1000);
  this.UP_Fluege.Update();

 }

 protected void FlugeEinlesen(object sender, EventArgs e)
 {
  System.Threading.Thread.Sleep(1000);
 }
 protected void C_Zielort_SelectedIndexChanged(object sender, EventArgs e)
 {
  SetHistoryPoint();
  //this.UpdatePanel3.Update();
 }


 private void SetHistoryPoint()
 {
  // -- Daten fr Navigationspunkt sammeln
  System.Collections.Specialized.NameValueCollection Werte = new System.Collections.Specialized.NameValueCollection();
  Werte.Add("Abflugort", C_Abflugort.SelectedValue);
  // Navigationspunkt festlegen
  ScriptManager.GetCurrent(this).AddHistoryPoint(Werte, "Flge von " + C_Abflugort.SelectedValue);

 }


 protected void ScriptManager1_Navigate(object sender, HistoryEventArgs e)
 {
  if (e.State["Abflugort"] == null) // Ausgangszustand!
  {
   this.C_Abflugort.SelectedValue = "Paris";
  }
  else
  {
   this.C_Abflugort.SelectedValue = (e.State["Abflugort"]);

   Page.Title = "Flge von " + C_Abflugort.SelectedValue;
  }
  UP_Fluege.Update();
 }
}

