<%@ Page Language="C#" MasterPageFile="~/Master/WWWings.AJAX.master" AutoEventWireup="true"
 CodeFile="AJAXLogin.aspx.cs" Inherits="Buchung_AJAXGesichert_login" Title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="P_MainContent" runat="Server">

 <script type="text/javascript">

  function pageLoad() {
   Status("Lade Seite...");
  }

  var user;

  // ---- Ausfhren der Benutzeranmeldung gegen Membership-Dienst
  function Anmelden() {
   // Callbacks setzen
   Sys.Services.AuthenticationService.set_defaultLoginCompletedCallback(Anmelden_OK);
   Sys.Services.AuthenticationService.set_defaultLogoutCompletedCallback(Abmelden_OK);
   Sys.Services.AuthenticationService.set_defaultFailedCallback(Fehler);
   Status("Anmeldung beginnt...");
   // AJAX Service aufrufen
   Sys.Services.AuthenticationService.login($get("C_Name").value,
$get("C_Kennwort").value, false, null, null, null, null, $get("C_Name").value);
   // Status anzeigen
   Status("Anmeldung luft...");
  }


  // --- Anmeldung OK
  function Anmelden_OK(validCredentials, userContext, methodName) {
   if (!validCredentials) {
    Status("Anmeldung fr " + userContext + " nicht mglich!");
    alert("Anmeldung fr " + userContext + " nicht mglich!");
   }
   else {
    user = userContext;
    Status("Anmeldung fr " + userContext + " erfolgreich!!");
   }
  }

  // ---- Abmelden des Benutzers
  function Abmelden() {
   Sys.Services.AuthenticationService.logout(null, null, null, user);
  }

  // --- Abmeldung erfolgt
  function Abmelden_OK(validCredentials, userContext, methodName) {
   Status(userContext + " ist abgemeldet!");
   user = "";
  }

  // --- Laden des Profils
  function ProfilLaden() {
   Status("Profil laden...");
   Sys.Services.ProfileService.load(null, ProfilLaden_OK, Fehler, null);
  }

  // --- Laden des Profils ist erfolgt
  function ProfilLaden_OK(numProperties, userContext, methodName) {
   Status("Profil fr Benutzer " + user + " geladen!");
   $get("P_Profil").style.display = "";
   $get("C_Vorname").value = Sys.Services.ProfileService.properties.Person.Vorname;
   $get("C_Nachname").value = Sys.Services.ProfileService.properties.Person.Name;
   $get("C_Ort").value = Sys.Services.ProfileService.properties.Adresse.Ort;
   $get("C_ID").innerHTML = Sys.Services.ProfileService.properties.PassagierID;
  }

  // --- Speichern des Profils
  function ProfilSpeichern() {
   Sys.Services.ProfileService.properties.Person.Vorname = $get("C_Vorname").value;
   Sys.Services.ProfileService.properties.Person.Name = $get("C_Nachname").value;
   Sys.Services.ProfileService.properties.Adresse.Ort = $get("C_Ort").value;
   //alert($get("C_Ort").value);

   Sys.Services.ProfileService.save(null, ProfilSpeichern_OK, Fehler, null);
   $get("P_Profil").style.display = "none";
  }

  // --- Laden des Profils ist erfolgt
  function ProfilSpeichern_OK(numProperties, userContext, methodName) {
   Status("Profil fr Benutzer " + user + " gespeichert!");
   alert("Profil fr Benutzer " + user + " gespeichert!");
  }


  // --- Hilfsroutine zur Ausgabe
  function Status(text) {
   var userLoggedIn = Sys.Services.AuthenticationService.get_isLoggedIn();
   document.getElementById("C_Log").innerHTML += text + "<br>";

   if (userLoggedIn) {
    $get("P_Anmelden").style.display = "none";
    $get("P_Abmelden").style.display = "";
    $get("C_Status").innerHTML = "Sie sind angemeldet als: " + user + ".<br><br>"
   }
   else {
    $get("C_Status").innerHTML = "Sie sind NICHT angemeldet!<br>";
    $get("P_Abmelden").style.display = "none";
    $get("P_Anmelden").style.display = "";
   }
  }

  // --- Hilfsroutine zur Fehlerausgabe
  function Fehler(error, userContext, methodName) {
   Status("error:message = " +
	    error.get_message());
   Status("error:timedOut = " +
	    error.get_timedOut());
   Status("error:statusCode = " +
	    error.get_statusCode());
  }

 </script>

 <asp:ScriptManagerProxy ID="ScriptManagerProxy1" runat="server">
 </asp:ScriptManagerProxy>
 <div id="C_Status">
 </div>
 <div id="P_Anmelden">
  <br />
  Bitte melden Sie sich an:<br />
  Benutzername:
  <input id="C_Name" name="C_Name" type="text" value="HS" /><br />
  Kennwort:
  <input id="C_Kennwort" name="C_Kennwort" type="password" value="geheim$123" /><br />
  <br />
  <input id="C_Anmelden" name="C_Anmelden" type="button" value="Anmelden" onclick="Anmelden();" />
 </div>
 <div id="P_Abmelden" style="display: none">
  <input id="C_Abmelden" name="C_Abmelden" type="button" value="Abmelden" onclick="Abmelden();" /><br />
  <br />
  <input id="C_Laden" name="C_Laden" type="button" value="Profil Laden" onclick="ProfilLaden();" />
 </div>
 <br />
 <div id="P_Profil" style="background-color: Yellow; display: none">
  Passagier-ID: <span id="C_ID"></span>
  <br />
  Vorname:
  <input type="text" id="C_Vorname" /><br />
  Nachname:
  <input type="text" id="C_Nachname" /><br />
  Ort:
  <input type="text" id="C_Ort" /><br />
  <input id="C_ProfilSpeichern" name="C_Laden" type="button" value="Profil Speichern"
   onclick="ProfilSpeichern();" />
 </div>

 <div id="C_Log" style="background-color: Lime">
  <hr />
 Protokoll (Nur zu Testzwecken):
 <hr />
 </div>
</asp:Content>
