USE [master]
GO

/****** Object:  Database [WWWings6]    Script Date: 06/07/2010 22:02:29 ******/
CREATE DATABASE [WWWings6] ON  PRIMARY 
( NAME = N'WWWings63', FILENAME = N'c:\_LOKAL\DATA\WWWings63.mdf' , SIZE = 4096KB , MAXSIZE = UNLIMITED, FILEGROWTH = 1024KB )
 LOG ON 
( NAME = N'WWWings63_log', FILENAME = N'c:\_LOKAL\DATA\WWWings63_Log.LDF' , SIZE = 1024KB , MAXSIZE = UNLIMITED, FILEGROWTH = 10%)
GO

ALTER DATABASE [WWWings6] SET COMPATIBILITY_LEVEL = 100
GO

IF (1 = FULLTEXTSERVICEPROPERTY('IsFullTextInstalled'))
begin
EXEC [WWWings6].[dbo].[sp_fulltext_database] @action = 'enable'
end
GO

ALTER DATABASE [WWWings6] SET ANSI_NULL_DEFAULT OFF 
GO

ALTER DATABASE [WWWings6] SET ANSI_NULLS OFF 
GO

ALTER DATABASE [WWWings6] SET ANSI_PADDING OFF 
GO

ALTER DATABASE [WWWings6] SET ANSI_WARNINGS OFF 
GO

ALTER DATABASE [WWWings6] SET ARITHABORT OFF 
GO

ALTER DATABASE [WWWings6] SET AUTO_CLOSE ON 
GO

ALTER DATABASE [WWWings6] SET AUTO_CREATE_STATISTICS ON 
GO

ALTER DATABASE [WWWings6] SET AUTO_SHRINK OFF 
GO

ALTER DATABASE [WWWings6] SET AUTO_UPDATE_STATISTICS ON 
GO

ALTER DATABASE [WWWings6] SET CURSOR_CLOSE_ON_COMMIT OFF 
GO

ALTER DATABASE [WWWings6] SET CURSOR_DEFAULT  GLOBAL 
GO

ALTER DATABASE [WWWings6] SET CONCAT_NULL_YIELDS_NULL OFF 
GO

ALTER DATABASE [WWWings6] SET NUMERIC_ROUNDABORT OFF 
GO

ALTER DATABASE [WWWings6] SET QUOTED_IDENTIFIER OFF 
GO

ALTER DATABASE [WWWings6] SET RECURSIVE_TRIGGERS OFF 
GO

ALTER DATABASE [WWWings6] SET  DISABLE_BROKER 
GO

ALTER DATABASE [WWWings6] SET AUTO_UPDATE_STATISTICS_ASYNC OFF 
GO

ALTER DATABASE [WWWings6] SET DATE_CORRELATION_OPTIMIZATION OFF 
GO

ALTER DATABASE [WWWings6] SET TRUSTWORTHY OFF 
GO

ALTER DATABASE [WWWings6] SET ALLOW_SNAPSHOT_ISOLATION OFF 
GO

ALTER DATABASE [WWWings6] SET PARAMETERIZATION SIMPLE 
GO

ALTER DATABASE [WWWings6] SET READ_COMMITTED_SNAPSHOT OFF 
GO

ALTER DATABASE [WWWings6] SET HONOR_BROKER_PRIORITY OFF 
GO

ALTER DATABASE [WWWings6] SET  READ_WRITE 
GO

ALTER DATABASE [WWWings6] SET RECOVERY FULL 
GO

ALTER DATABASE [WWWings6] SET  MULTI_USER 
GO

ALTER DATABASE [WWWings6] SET PAGE_VERIFY CHECKSUM  
GO

ALTER DATABASE [WWWings6] SET DB_CHAINING OFF 
GO

EXEC [WWWings6].sys.sp_addextendedproperty @name=N'SchemaLastUpdate', @value=N'7.6.2010' 
GO

EXEC [WWWings6].sys.sp_addextendedproperty @name=N'SchemaVersion', @value=N'6.2.1' 
GO


