﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WWWingsOracle_Konsole
{
 class Program
 {
  static void Main(string[] args)
  {

  de.WWWingsInit.DBInit_V6_mit_EF.Init_DB();


   Console.WriteLine("Testcode:");
   WwwingModel.WwwingEntities modell = new WwwingModel.WwwingEntities();
 
   // LINQ

   foreach (var f in modell.Flug.Include("Passagiers").Where(f => f.Abflugort == "Rom").ToList())
   {
    Console.WriteLine(f.Flugnr + ": " + f.Freieplaetze + " / " + f.Passagiers.Count);
    f.Freieplaetze--;
   }

   modell.SaveChanges();


   // SP
   var q = modell.Getperson();

   foreach (var p in q.Take(10))
   { 
    Console.WriteLine(p.Name + ": " + p.Memo);
    p.Memo = DateTime.Now.ToShortTimeString();
   }

   modell.SaveChanges();

   // Geht nicht: "Datareader is incompatible"
  // var q2 = modell.Getflug();

   Console.WriteLine("Fertig");
   Console.ReadLine();
  }
 }
}
